/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/*
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This file incorporates work covered by the following license notice:
 *
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements. See the NOTICE file distributed
 *   with this work for additional information regarding copyright
 *   ownership. The ASF licenses this file to you under the Apache
 *   License, Version 2.0 (the "License"); you may not use this file
 *   except in compliance with the License. You may obtain a copy of
 *   the License at http://www.apache.org/licenses/LICENSE-2.0 .
 */

#pragma once

#include <rtl/ustring.hxx>

inline constexpr OUString HID_FILEDLG_LINK_CB = u"SVT_HID_FILEDLG_LINK_CB"_ustr;
inline constexpr OUString HID_FILEDLG_PREVIEW_CB = u"SVT_HID_FILEDLG_PREVIEW_CB"_ustr;
inline constexpr OUString HID_FILEDLG_STANDARD = u"SVT_HID_FILEDLG_STANDARD"_ustr;

// help ids for the different modi of the file picker dialog
inline constexpr OUString HID_FILESAVE_LEVELUP = u"SVT_HID_FILESAVE_LEVELUP"_ustr;
inline constexpr OUString HID_FILESAVE_CREATEDIRECTORY = u"SVT_HID_FILESAVE_CREATEDIRECTORY"_ustr;
inline constexpr OUString HID_FILESAVE_FILEVIEW = u"SVT_HID_FILESAVE_FILEVIEW"_ustr;
inline constexpr OUString HID_FILESAVE_TEMPLATE = u"SVT_HID_FILESAVE_TEMPLATE"_ustr;
inline constexpr OUString HID_FILESAVE_FILEURL = u"SVT_HID_FILESAVE_FILEURL"_ustr;
inline constexpr OUString HID_FILESAVE_FILETYPE = u"SVT_HID_FILESAVE_FILETYPE"_ustr;
inline constexpr OUString HID_FILESAVE_DOSAVE = u"SVT_HID_FILESAVE_DOSAVE"_ustr;
inline constexpr OUString HID_FILESAVE_AUTOEXTENSION = u"SVT_HID_FILESAVE_AUTOEXTENSION"_ustr;
inline constexpr OUString HID_FILESAVE_SAVEWITHPASSWORD = u"SVT_HID_FILESAVE_SAVEWITHPASSWORD"_ustr;
inline constexpr OUString HID_FILESAVE_CUSTOMIZEFILTER = u"SVT_HID_FILESAVE_CUSTOMIZEFILTER"_ustr;
inline constexpr OUString HID_FILESAVE_SELECTION = u"SVT_HID_FILESAVE_SELECTION"_ustr;
inline constexpr OUString HID_FILESAVE_DIALOG = u"SVT_HID_FILESAVE_DIALOG"_ustr;
inline constexpr OUString HID_FILESAVE_DOPLAY = u"SVT_HID_FILESAVE_DOPLAY"_ustr;

inline constexpr OUString HID_FILEOPEN_LEVELUP = u"SVT_HID_FILEOPEN_LEVELUP"_ustr;
inline constexpr OUString HID_FILEOPEN_READONLY = u"SVT_HID_FILEOPEN_READONLY"_ustr;
inline constexpr OUString HID_FILEOPEN_VERSION = u"SVT_HID_FILEOPEN_VERSION"_ustr;
inline constexpr OUString HID_FILEOPEN_IMAGE_TEMPLATE = u"SVT_HID_FILEOPEN_IMAGE_TEMPLATE"_ustr;
inline constexpr OUString HID_FILEOPEN_IMAGE_ANCHOR = u"SVT_HID_FILEOPEN_IMAGE_ANCHOR"_ustr;

/* vim:set shiftwidth=4 softtabstop=4 expandtab: */
