/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/*
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This file incorporates work covered by the following license notice:
 *
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements. See the NOTICE file distributed
 *   with this work for additional information regarding copyright
 *   ownership. The ASF licenses this file to you under the Apache
 *   License, Version 2.0 (the "License"); you may not use this file
 *   except in compliance with the License. You may obtain a copy of
 *   the License at http://www.apache.org/licenses/LICENSE-2.0 .
 */
#pragma once

#include <rtl/ustring.hxx>

inline constexpr OUString UID_RPT_PROP_FORMULA = u"REPORTDESIGN_UID_RPT_PROP_FORMULA"_ustr;
inline constexpr OUString UID_RPT_RPT_PROP_DLG_FONT_TYPE = u"REPORTDESIGN_UID_RPT_RPT_PROP_DLG_FONT_TYPE"_ustr;
inline constexpr OUString UID_RPT_RPT_PROP_DLG_AREA = u"REPORTDESIGN_UID_RPT_RPT_PROP_DLG_AREA"_ustr;
inline constexpr OUString UID_RPT_PROP_CHARTTYPE_DLG = u"REPORTDESIGN_UID_RPT_PROP_CHARTTYPE_DLG"_ustr;
inline constexpr OUString UID_RPT_PROP_DLG_LINKFIELDS = u"REPORTDESIGN_UID_RPT_PROP_DLG_LINKFIELDS"_ustr;

#define UID_RPT_RPT_APP_VIEW                          "REPORTDESIGN_UID_RPT_RPT_APP_VIEW"
inline constexpr OUString UID_RPT_REPORTWINDOW = u"REPORTDESIGN_UID_RPT_REPORTWINDOW"_ustr;
inline constexpr OUString HID_REPORTSECTION = u"REPORTDESIGN_HID_REPORTSECTION"_ustr;
inline constexpr OUString HID_RPT_FIELDEXPRESSION = u"REPORTDESIGN_HID_RPT_FIELDEXPRESSION"_ustr;
inline constexpr OUString HID_RPT_FIELD_SEL = u"REPORTDESIGN_HID_RPT_FIELD_SEL"_ustr;
#define HID_RPT_FIELD_SEL_WIN                          "REPORTDESIGN_HID_RPT_FIELD_SEL_WIN"
inline constexpr OUString HID_RPT_PROPDLG_TAB_GENERAL = u"REPORTDESIGN_HID_RPT_PROPDLG_TAB_GENERAL"_ustr;
inline constexpr OUString HID_RPT_PROPDLG_TAB_DATA = u"REPORTDESIGN_HID_RPT_PROPDLG_TAB_DATA"_ustr;

inline constexpr OUString HID_RPT_PROP_FORCENEWPAGE = u"REPORTDESIGN_HID_RPT_PROP_FORCENEWPAGE"_ustr;
inline constexpr OUString HID_RPT_PROP_NEWROWORCOL = u"REPORTDESIGN_HID_RPT_PROP_NEWROWORCOL"_ustr;
inline constexpr OUString HID_RPT_PROP_KEEPTOGETHER = u"REPORTDESIGN_HID_RPT_PROP_KEEPTOGETHER"_ustr;
inline constexpr OUString HID_RPT_PROP_CANGROW = u"REPORTDESIGN_HID_RPT_PROP_CANGROW"_ustr;
inline constexpr OUString HID_RPT_PROP_CANSHRINK = u"REPORTDESIGN_HID_RPT_PROP_CANSHRINK"_ustr;
inline constexpr OUString HID_RPT_PROP_REPEATSECTION = u"REPORTDESIGN_HID_RPT_PROP_REPEATSECTION"_ustr;
inline constexpr OUString HID_RPT_PROP_FORMULALIST = u"REPORTDESIGN_HID_RPT_PROP_FORMULALIST"_ustr;
inline constexpr OUString HID_RPT_PROP_SCOPE = u"REPORTDESIGN_HID_RPT_PROP_SCOPE"_ustr;
inline constexpr OUString HID_RPT_PROP_TYPE = u"REPORTDESIGN_HID_RPT_PROP_TYPE"_ustr;
inline constexpr OUString HID_RPT_PROP_MASTERFIELDS = u"REPORTDESIGN_HID_RPT_PROP_MASTERFIELDS"_ustr;
inline constexpr OUString HID_RPT_PROP_DETAILFIELDS = u"REPORTDESIGN_HID_RPT_PROP_DETAILFIELDS"_ustr;
inline constexpr OUString HID_RPT_PROP_AREA = u"REPORTDESIGN_HID_RPT_PROP_AREA"_ustr;
inline constexpr OUString HID_RPT_PROP_MIMETYPE = u"REPORTDESIGN_HID_RPT_PROP_MIMETYPE"_ustr;
// free
// free
inline constexpr OUString HID_RPT_PROP_PRINTREPEATEDVALUES = u"REPORTDESIGN_HID_RPT_PROP_PRINTREPEATEDVALUES"_ustr;
inline constexpr OUString HID_RPT_PROP_CONDITIONALPRINTEXPRESSION = u"REPORTDESIGN_HID_RPT_PROP_CONDITIONALPRINTEXPRESSION"_ustr;
inline constexpr OUString HID_RPT_PROP_VERTICALALIGN = u"REPORTDESIGN_HID_RPT_PROP_VERTICALALIGN"_ustr;
inline constexpr OUString HID_RPT_PROP_STARTNEWCOLUMN = u"REPORTDESIGN_HID_RPT_PROP_STARTNEWCOLUMN"_ustr;
inline constexpr OUString HID_RPT_PROP_RESETPAGENUMBER = u"REPORTDESIGN_HID_RPT_PROP_RESETPAGENUMBER"_ustr;
inline constexpr OUString HID_RPT_PROP_PARAADJUST = u"REPORTDESIGN_HID_RPT_PROP_PARAADJUST"_ustr;
inline constexpr OUString HID_RPT_PROP_PRINTWHENGROUPCHANGE = u"REPORTDESIGN_HID_RPT_PROP_PRINTWHENGROUPCHANGE"_ustr;
inline constexpr OUString HID_RPT_PROP_CHARTTYPE = u"REPORTDESIGN_HID_RPT_PROP_CHARTTYPE"_ustr;
// free
// free
inline constexpr OUString HID_RPT_PROP_VISIBLE = u"REPORTDESIGN_HID_RPT_PROP_VISIBLE"_ustr;
inline constexpr OUString HID_RPT_PROP_GROUPKEEPTOGETHER = u"REPORTDESIGN_HID_RPT_PROP_GROUPKEEPTOGETHER"_ustr;
inline constexpr OUString HID_RPT_PROP_PAGEHEADEROPTION = u"REPORTDESIGN_HID_RPT_PROP_PAGEHEADEROPTION"_ustr;
inline constexpr OUString HID_RPT_PROP_PAGEFOOTEROPTION = u"REPORTDESIGN_HID_RPT_PROP_PAGEFOOTEROPTION"_ustr;
inline constexpr OUString HID_RPT_PROP_PREVIEW_COUNT = u"REPORTDESIGN_HID_RPT_PROP_PREVIEW_COUNT"_ustr;
inline constexpr OUString HID_RPT_PROP_DATAFIELD = u"REPORTDESIGN_HID_RPT_PROP_DATAFIELD"_ustr;
inline constexpr OUString HID_RPT_PROP_BACKCOLOR = u"REPORTDESIGN_HID_RPT_PROP_BACKCOLOR"_ustr;
inline constexpr OUString HID_RPT_PROP_RPT_POSITIONX = u"REPORTDESIGN_HID_RPT_PROP_RPT_POSITIONX"_ustr;
inline constexpr OUString HID_RPT_PROP_RPT_POSITIONY = u"REPORTDESIGN_HID_RPT_PROP_RPT_POSITIONY"_ustr;
inline constexpr OUString HID_RPT_PROP_RPT_WIDTH = u"REPORTDESIGN_HID_RPT_PROP_RPT_WIDTH"_ustr;
inline constexpr OUString HID_RPT_PROP_RPT_HEIGHT = u"REPORTDESIGN_HID_RPT_PROP_RPT_HEIGHT"_ustr;
inline constexpr OUString HID_RPT_PROP_RPT_AUTOGROW = u"REPORTDESIGN_HID_RPT_PROP_RPT_AUTOGROW"_ustr;
inline constexpr OUString HID_RPT_PROP_DEEPTRAVERSING = u"REPORTDESIGN_HID_RPT_PROP_DEEPTRAVERSING"_ustr;
inline constexpr OUString HID_RPT_PROP_PREEVALUATED = u"REPORTDESIGN_HID_RPT_PROP_PREEVALUATED"_ustr;
inline constexpr OUString HID_REPORT_NAVIGATOR_TREE = u"REPORTDESIGN_HID_REPORT_NAVIGATOR_TREE"_ustr;
inline constexpr OUString HID_RPT_PROP_FORMULA = u"REPORTDESIGN_HID_RPT_PROP_FORMULA"_ustr;
inline constexpr OUString HID_RPT_PROP_INITIALFORMULA = u"REPORTDESIGN_HID_RPT_PROP_INITIALFORMULA"_ustr;
inline constexpr OUString HID_RPT_PROP_RPT_FONT = u"REPORTDESIGN_HID_RPT_PROP_RPT_FONT"_ustr;
inline constexpr OUString HID_RPT_PROP_PRESERVEIRI = u"REPORTDESIGN_HID_RPT_PROP_PRESERVEIRI"_ustr;
inline constexpr OUString HID_RPT_PROP_BACKTRANSPARENT = u"REPORTDESIGN_HID_RPT_PROP_BACKTRANSPARENT"_ustr;
inline constexpr OUString HID_RPT_PROP_CONTROLBACKGROUNDTRANSPARENT = u"REPORTDESIGN_HID_RPT_PROP_CONTROLBACKGROUNDTRANSPARENT"_ustr;

/* vim:set shiftwidth=4 softtabstop=4 expandtab: */
