/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/*
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This file incorporates work covered by the following license notice:
 *
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements. See the NOTICE file distributed
 *   with this work for additional information regarding copyright
 *   ownership. The ASF licenses this file to you under the Apache
 *   License, Version 2.0 (the "License"); you may not use this file
 *   except in compliance with the License. You may obtain a copy of
 *   the License at http://www.apache.org/licenses/LICENSE-2.0 .
 */

#pragma once

#include <rtl/ustring.hxx>

inline constexpr OUString HID_SDDRAWVIEWSHELL = u"SD_HID_SDDRAWVIEWSHELL"_ustr;
inline constexpr OUString HID_SDGRAPHICVIEWSHELL = u"SD_HID_SDGRAPHICVIEWSHELL"_ustr;
inline constexpr OUString HID_SDOUTLINEVIEWSHELL = u"SD_HID_SDOUTLINEVIEWSHELL"_ustr;

inline constexpr OUString HID_SD_WIN_PRESENTATION = u"SD_HID_SD_WIN_PRESENTATION"_ustr;

inline constexpr OUString HID_SD_TABBAR_PAGES = u"SD_HID_SD_TABBAR_PAGES"_ustr;
inline constexpr OUString HID_SD_TABBAR_LAYERS = u"SD_HID_SD_TABBAR_LAYERS"_ustr;

inline constexpr OUString HID_SD_NAMEDIALOG_OBJECT = u"SD_HID_SD_NAMEDIALOG_OBJECT"_ustr;
inline constexpr OUString HID_SD_NAMEDIALOG_PAGE = u"SD_HID_SD_NAMEDIALOG_PAGE"_ustr;
inline constexpr OUString HID_SD_NAMEDIALOG_LINEEND = u"SD_HID_SD_NAMEDIALOG_LINEEND"_ustr;

inline constexpr OUString HID_SD_TASK_PANE_PREVIEW_CURRENT = u"SD_HID_SD_TASK_PANE_PREVIEW_CURRENT"_ustr;
inline constexpr OUString HID_SD_TASK_PANE_PREVIEW_RECENT = u"SD_HID_SD_TASK_PANE_PREVIEW_RECENT"_ustr;
inline constexpr OUString HID_SD_TASK_PANE_PREVIEW_ALL = u"SD_HID_SD_TASK_PANE_PREVIEW_ALL"_ustr;
inline constexpr OUString HID_SD_TASK_PANE_PREVIEW_LAYOUTS = u"SD_HID_SD_TASK_PANE_PREVIEW_LAYOUTS"_ustr;

inline constexpr OUString HID_SD_CUSTOMANIMATIONPANE_PRESETPROPERTYBOX = u"SD_HID_SD_CUSTOMANIMATIONPANE_PRESETPROPERTYBOX"_ustr;
inline constexpr OUString HID_SD_CUSTOMANIMATIONPANE_COLORPROPERTYBOX = u"SD_HID_SD_CUSTOMANIMATIONPANE_COLORPROPERTYBOX"_ustr;
inline constexpr OUString HID_SD_CUSTOMANIMATIONPANE_FONTPROPERTYBOX = u"SD_HID_SD_CUSTOMANIMATIONPANE_FONTPROPERTYBOX"_ustr;
inline constexpr OUString HID_SD_CUSTOMANIMATIONPANE_CHARHEIGHTPROPERTYBOX = u"SD_HID_SD_CUSTOMANIMATIONPANE_CHARHEIGHTPROPERTYBOX"_ustr;
inline constexpr OUString HID_SD_CUSTOMANIMATIONPANE_ROTATIONPROPERTYBOX = u"SD_HID_SD_CUSTOMANIMATIONPANE_ROTATIONPROPERTYBOX"_ustr;
inline constexpr OUString HID_SD_CUSTOMANIMATIONPANE_TRANSPARENCYPROPERTYBOX = u"SD_HID_SD_CUSTOMANIMATIONPANE_TRANSPARENCYPROPERTYBOX"_ustr;
inline constexpr OUString HID_SD_CUSTOMANIMATIONPANE_SCALEPROPERTYBOX = u"SD_HID_SD_CUSTOMANIMATIONPANE_SCALEPROPERTYBOX"_ustr;
inline constexpr OUString HID_SD_CUSTOMANIMATIONPANE_FONTSTYLEPROPERTYBOX = u"SD_HID_SD_CUSTOMANIMATIONPANE_FONTSTYLEPROPERTYBOX"_ustr;


inline constexpr OUString HID_SD_RULER_HORIZONTAL = u"SD_HID_SD_RULER_HORIZONTAL"_ustr;
inline constexpr OUString HID_SD_RULER_VERTICAL = u"SD_HID_SD_RULER_VERTICAL"_ustr;

/* vim:set shiftwidth=4 softtabstop=4 expandtab: */
