/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/*
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This file incorporates work covered by the following license notice:
 *
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements. See the NOTICE file distributed
 *   with this work for additional information regarding copyright
 *   ownership. The ASF licenses this file to you under the Apache
 *   License, Version 2.0 (the "License"); you may not use this file
 *   except in compliance with the License. You may obtain a copy of
 *   the License at http://www.apache.org/licenses/LICENSE-2.0 .
 */
#ifndef INCLUDED_SFX2_SOURCE_INC_HELPIDS_H
#define INCLUDED_SFX2_SOURCE_INC_HELPIDS_H

#include <rtl/ustring.hxx>

inline constexpr OUString HID_TEMPLATE_FMT = u"SFX2_HID_TEMPLATE_FMT"_ustr;
inline constexpr OUString HID_TEMPLATE_FILTER = u"SFX2_HID_TEMPLATE_FILTER"_ustr;
inline constexpr OUString HID_TEMPLDLG_NEWBYEXAMPLE = u"SFX2_HID_TEMPLDLG_NEWBYEXAMPLE"_ustr;
inline constexpr OUString HID_TEMPLDLG_UPDATEBYEXAMPLE = u"SFX2_HID_TEMPLDLG_UPDATEBYEXAMPLE"_ustr;
inline constexpr OUString HID_TEMPLDLG_WATERCAN = u"SFX2_HID_TEMPLDLG_WATERCAN"_ustr;
inline constexpr OUString HID_NAVIGATOR_WINDOW = u"SFX2_HID_NAVIGATOR_WINDOW"_ustr;
inline constexpr OUString HID_TABDLG_RESET_BTN = u"SFX2_HID_TABDLG_RESET_BTN"_ustr;
inline constexpr OUString HID_TABDLG_STANDARD_BTN = u"SFX2_HID_TABDLG_STANDARD_BTN"_ustr;
inline constexpr OUString HID_TEMPLDLG_TOOLBOX_LEFT = u"SFX2_HID_TEMPLDLG_TOOLBOX_LEFT"_ustr;
inline constexpr OUString HID_HELP_WINDOW = u"SFX2_HID_HELP_WINDOW"_ustr;
inline constexpr OUString HID_HELP_TOOLBOX = u"SFX2_HID_HELP_TOOLBOX"_ustr;
inline constexpr OUString HID_HELP_TOOLBOXITEM_INDEX = u"SFX2_HID_HELP_TOOLBOXITEM_INDEX"_ustr;
inline constexpr OUString HID_HELP_TOOLBOXITEM_START = u"SFX2_HID_HELP_TOOLBOXITEM_START"_ustr;
inline constexpr OUString HID_HELP_TOOLBOXITEM_BACKWARD = u"SFX2_HID_HELP_TOOLBOXITEM_BACKWARD"_ustr;
inline constexpr OUString HID_HELP_TOOLBOXITEM_FORWARD = u"SFX2_HID_HELP_TOOLBOXITEM_FORWARD"_ustr;
inline constexpr OUString HID_HELP_TOOLBOXITEM_PRINT = u"SFX2_HID_HELP_TOOLBOXITEM_PRINT"_ustr;
inline constexpr OUString HID_HELP_TOOLBOXITEM_BOOKMARKS = u"SFX2_HID_HELP_TOOLBOXITEM_BOOKMARKS"_ustr;
inline constexpr OUString HID_HELP_TOOLBOXITEM_SEARCHDIALOG = u"SFX2_HID_HELP_TOOLBOXITEM_SEARCHDIALOG"_ustr;

inline constexpr OUString HID_TEMPLATEDLG_OPEN = u"SFX2_HID_TEMPLATEDLG_OPEN"_ustr;
inline constexpr OUString HID_TEMPLATEDLG_EDIT = u"SFX2_HID_TEMPLATEDLG_EDIT"_ustr;
inline constexpr OUString HID_TEMPLATEDLG_DEFAULT = u"SFX2_HID_TEMPLATEDLG_DEFAULT"_ustr;
inline constexpr OUString HID_TEMPLATEDLG_RENAME = u"SFX2_HID_TEMPLATEDLG_RENAME"_ustr;
inline constexpr OUString HID_TEMPLATEDLG_DELETE = u"SFX2_HID_TEMPLATEDLG_DELETE"_ustr;
inline constexpr OUString HID_TEMPLATEDLG_MOVE = u"SFX2_HID_TEMPLATEDLG_MOVE"_ustr;
inline constexpr OUString HID_TEMPLATEDLG_EXPORT = u"SFX2_HID_TEMPLATEDLG_EXPORT"_ustr;

inline constexpr OUString HID_QUERY_LOAD_TEMPLATE = u"SFX2_HID_QUERY_LOAD_TEMPLATE"_ustr;

inline constexpr OUString HID_SIDEBAR_WINDOW = u"SFX2_HID_SIDEBAR_WINDOW"_ustr;

#endif

/* vim:set shiftwidth=4 softtabstop=4 expandtab: */
