/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/*
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This file incorporates work covered by the following license notice:
 *
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements. See the NOTICE file distributed
 *   with this work for additional information regarding copyright
 *   ownership. The ASF licenses this file to you under the Apache
 *   License, Version 2.0 (the "License"); you may not use this file
 *   except in compliance with the License. You may obtain a copy of
 *   the License at http://www.apache.org/licenses/LICENSE-2.0 .
 */

#pragma once

#include <rtl/ustring.hxx>

inline constexpr OUString HID_SMA_MAIN_HELP = u"STARMATH_HID_SMA_MAIN_HELP"_ustr;
inline constexpr OUString HID_SMA_WIN_DOCUMENT = u"STARMATH_HID_SMA_WIN_DOCUMENT"_ustr;
inline constexpr OUString HID_SMA_COMMAND_WIN_EDIT = u"STARMATH_HID_SMA_COMMAND_WIN_EDIT"_ustr;

inline constexpr OUString HID_SMA_COMMAND_WIN = u"STARMATH_HID_SMA_COMMAND_WIN"_ustr;

inline constexpr OUString HID_SMA_DEFAULT_DIST = u"STARMATH_HID_SMA_DEFAULT_DIST"_ustr;
inline constexpr OUString HID_SMA_LINE_DIST = u"STARMATH_HID_SMA_LINE_DIST"_ustr;
inline constexpr OUString HID_SMA_ROOT_DIST = u"STARMATH_HID_SMA_ROOT_DIST"_ustr;
inline constexpr OUString HID_SMA_SUP_DIST = u"STARMATH_HID_SMA_SUP_DIST"_ustr;
inline constexpr OUString HID_SMA_SUB_DIST = u"STARMATH_HID_SMA_SUB_DIST"_ustr;
inline constexpr OUString HID_SMA_NUMERATOR_DIST = u"STARMATH_HID_SMA_NUMERATOR_DIST"_ustr;
inline constexpr OUString HID_SMA_DENOMINATOR_DIST = u"STARMATH_HID_SMA_DENOMINATOR_DIST"_ustr;
inline constexpr OUString HID_SMA_FRACLINE_EXCWIDTH = u"STARMATH_HID_SMA_FRACLINE_EXCWIDTH"_ustr;
inline constexpr OUString HID_SMA_FRACLINE_LINEWIDTH = u"STARMATH_HID_SMA_FRACLINE_LINEWIDTH"_ustr;
inline constexpr OUString HID_SMA_UPPERLIMIT_DIST = u"STARMATH_HID_SMA_UPPERLIMIT_DIST"_ustr;
inline constexpr OUString HID_SMA_LOWERLIMIT_DIST = u"STARMATH_HID_SMA_LOWERLIMIT_DIST"_ustr;
inline constexpr OUString HID_SMA_BRACKET_EXCHEIGHT = u"STARMATH_HID_SMA_BRACKET_EXCHEIGHT"_ustr;
inline constexpr OUString HID_SMA_BRACKET_DIST = u"STARMATH_HID_SMA_BRACKET_DIST"_ustr;
inline constexpr OUString HID_SMA_MATRIXROW_DIST = u"STARMATH_HID_SMA_MATRIXROW_DIST"_ustr;
inline constexpr OUString HID_SMA_MATRIXCOL_DIST = u"STARMATH_HID_SMA_MATRIXCOL_DIST"_ustr;
inline constexpr OUString HID_SMA_ATTRIBUT_DIST = u"STARMATH_HID_SMA_ATTRIBUT_DIST"_ustr;
inline constexpr OUString HID_SMA_INTERATTRIBUT_DIST = u"STARMATH_HID_SMA_INTERATTRIBUT_DIST"_ustr;
inline constexpr OUString HID_SMA_OPERATOR_EXCHEIGHT = u"STARMATH_HID_SMA_OPERATOR_EXCHEIGHT"_ustr;
inline constexpr OUString HID_SMA_OPERATOR_DIST = u"STARMATH_HID_SMA_OPERATOR_DIST"_ustr;
inline constexpr OUString HID_SMA_LEFTBORDER_DIST = u"STARMATH_HID_SMA_LEFTBORDER_DIST"_ustr;
inline constexpr OUString HID_SMA_RIGHTBORDER_DIST = u"STARMATH_HID_SMA_RIGHTBORDER_DIST"_ustr;
inline constexpr OUString HID_SMA_UPPERBORDER_DIST = u"STARMATH_HID_SMA_UPPERBORDER_DIST"_ustr;
inline constexpr OUString HID_SMA_LOWERBORDER_DIST = u"STARMATH_HID_SMA_LOWERBORDER_DIST"_ustr;
inline constexpr OUString HID_SMA_BRACKET_EXCHEIGHT2 = u"STARMATH_HID_SMA_BRACKET_EXCHEIGHT2"_ustr;

/* vim:set shiftwidth=4 softtabstop=4 expandtab: */
