#ifndef INCLUDED_OFFICECFG_INET_HXX
#define INCLUDED_OFFICECFG_INET_HXX

#include "sal/config.h"

#include <optional>
#include "rtl/ustring.h"
#include "rtl/ustring.hxx"
#include "sal/types.h"
#include "comphelper/configuration.hxx"

namespace officecfg { namespace Inet {

struct Settings: public comphelper::ConfigurationGroup< Settings> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Inet/Settings"); return PATH; }

struct ooInetNoProxy: public comphelper::ConfigurationProperty<ooInetNoProxy, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Inet/Settings/ooInetNoProxy"); return PATH; }
private:
    ooInetNoProxy(); // not defined
    ~ooInetNoProxy(); // not defined
};

struct ooInetProxyType: public comphelper::ConfigurationProperty<ooInetProxyType, std::optional<sal_Int32> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Inet/Settings/ooInetProxyType"); return PATH; }
private:
    ooInetProxyType(); // not defined
    ~ooInetProxyType(); // not defined
};

struct ooInetHTTPProxyName: public comphelper::ConfigurationProperty<ooInetHTTPProxyName, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Inet/Settings/ooInetHTTPProxyName"); return PATH; }
private:
    ooInetHTTPProxyName(); // not defined
    ~ooInetHTTPProxyName(); // not defined
};

struct ooInetHTTPProxyPort: public comphelper::ConfigurationProperty<ooInetHTTPProxyPort, std::optional<sal_Int32> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Inet/Settings/ooInetHTTPProxyPort"); return PATH; }
private:
    ooInetHTTPProxyPort(); // not defined
    ~ooInetHTTPProxyPort(); // not defined
};

struct ooInetHTTPSProxyName: public comphelper::ConfigurationProperty<ooInetHTTPSProxyName, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Inet/Settings/ooInetHTTPSProxyName"); return PATH; }
private:
    ooInetHTTPSProxyName(); // not defined
    ~ooInetHTTPSProxyName(); // not defined
};

struct ooInetHTTPSProxyPort: public comphelper::ConfigurationProperty<ooInetHTTPSProxyPort, std::optional<sal_Int32> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Inet/Settings/ooInetHTTPSProxyPort"); return PATH; }
private:
    ooInetHTTPSProxyPort(); // not defined
    ~ooInetHTTPSProxyPort(); // not defined
};

struct ConnectTimeout: public comphelper::ConfigurationProperty<ConnectTimeout, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Inet/Settings/ConnectTimeout"); return PATH; }
private:
    ConnectTimeout(); // not defined
    ~ConnectTimeout(); // not defined
};

struct ReadTimeout: public comphelper::ConfigurationProperty<ReadTimeout, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Inet/Settings/ReadTimeout"); return PATH; }
private:
    ReadTimeout(); // not defined
    ~ReadTimeout(); // not defined
};

struct OptsCacheLifeImplWeb: public comphelper::ConfigurationProperty<OptsCacheLifeImplWeb, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Inet/Settings/OptsCacheLifeImplWeb"); return PATH; }
private:
    OptsCacheLifeImplWeb(); // not defined
    ~OptsCacheLifeImplWeb(); // not defined
};

struct OptsCacheLifeDAV: public comphelper::ConfigurationProperty<OptsCacheLifeDAV, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Inet/Settings/OptsCacheLifeDAV"); return PATH; }
private:
    OptsCacheLifeDAV(); // not defined
    ~OptsCacheLifeDAV(); // not defined
};

struct OptsCacheLifeDAVLocked: public comphelper::ConfigurationProperty<OptsCacheLifeDAVLocked, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Inet/Settings/OptsCacheLifeDAVLocked"); return PATH; }
private:
    OptsCacheLifeDAVLocked(); // not defined
    ~OptsCacheLifeDAVLocked(); // not defined
};

struct OptsCacheLifeNotImpl: public comphelper::ConfigurationProperty<OptsCacheLifeNotImpl, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Inet/Settings/OptsCacheLifeNotImpl"); return PATH; }
private:
    OptsCacheLifeNotImpl(); // not defined
    ~OptsCacheLifeNotImpl(); // not defined
};

struct OptsCacheLifeNotFound: public comphelper::ConfigurationProperty<OptsCacheLifeNotFound, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Inet/Settings/OptsCacheLifeNotFound"); return PATH; }
private:
    OptsCacheLifeNotFound(); // not defined
    ~OptsCacheLifeNotFound(); // not defined
};

private:
    Settings(); // not defined
    ~Settings(); // not defined
};

} }

#endif
