#ifndef INCLUDED_OFFICECFG_OFFICE_BASICIDE_HXX
#define INCLUDED_OFFICECFG_OFFICE_BASICIDE_HXX

#include "sal/config.h"

#include "rtl/ustring.h"
#include "rtl/ustring.hxx"
#include "comphelper/configuration.hxx"

namespace officecfg { namespace Office { namespace BasicIDE {

struct Autocomplete: public comphelper::ConfigurationGroup< Autocomplete> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.BasicIDE/Autocomplete"); return PATH; }

struct CodeComplete: public comphelper::ConfigurationProperty<CodeComplete, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.BasicIDE/Autocomplete/CodeComplete"); return PATH; }
private:
    CodeComplete(); // not defined
    ~CodeComplete(); // not defined
};

struct UseExtended: public comphelper::ConfigurationProperty<UseExtended, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.BasicIDE/Autocomplete/UseExtended"); return PATH; }
private:
    UseExtended(); // not defined
    ~UseExtended(); // not defined
};

struct AutocloseParenthesis: public comphelper::ConfigurationProperty<AutocloseParenthesis, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.BasicIDE/Autocomplete/AutocloseParenthesis"); return PATH; }
private:
    AutocloseParenthesis(); // not defined
    ~AutocloseParenthesis(); // not defined
};

struct AutocloseDoubleQuotes: public comphelper::ConfigurationProperty<AutocloseDoubleQuotes, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.BasicIDE/Autocomplete/AutocloseDoubleQuotes"); return PATH; }
private:
    AutocloseDoubleQuotes(); // not defined
    ~AutocloseDoubleQuotes(); // not defined
};

struct AutocloseProc: public comphelper::ConfigurationProperty<AutocloseProc, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.BasicIDE/Autocomplete/AutocloseProc"); return PATH; }
private:
    AutocloseProc(); // not defined
    ~AutocloseProc(); // not defined
};

struct AutoCorrect: public comphelper::ConfigurationProperty<AutoCorrect, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.BasicIDE/Autocomplete/AutoCorrect"); return PATH; }
private:
    AutoCorrect(); // not defined
    ~AutoCorrect(); // not defined
};

private:
    Autocomplete(); // not defined
    ~Autocomplete(); // not defined
};

struct EditorSettings: public comphelper::ConfigurationGroup< EditorSettings> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.BasicIDE/EditorSettings"); return PATH; }

struct LineNumbering: public comphelper::ConfigurationProperty<LineNumbering, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.BasicIDE/EditorSettings/LineNumbering"); return PATH; }
private:
    LineNumbering(); // not defined
    ~LineNumbering(); // not defined
};

private:
    EditorSettings(); // not defined
    ~EditorSettings(); // not defined
};

} } }

#endif
