#ifndef INCLUDED_OFFICECFG_OFFICE_CALC_HXX
#define INCLUDED_OFFICECFG_OFFICE_CALC_HXX

#include "sal/config.h"

#include <optional>
#include "com/sun/star/uno/Sequence.hxx"
#include "rtl/ustring.h"
#include "rtl/ustring.hxx"
#include "sal/types.h"
#include "comphelper/configuration.hxx"

namespace officecfg { namespace Office { namespace Calc {

struct UnitConversion: public comphelper::ConfigurationSet< UnitConversion> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/UnitConversion"); return PATH; }
private:
    UnitConversion(); // not defined
    ~UnitConversion(); // not defined
};

struct Content: public comphelper::ConfigurationGroup< Content> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Content"); return PATH; }

struct Display: public comphelper::ConfigurationGroup< Display> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Content/Display"); return PATH; }

struct Formula: public comphelper::ConfigurationProperty<Formula, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Content/Display/Formula"); return PATH; }
private:
    Formula(); // not defined
    ~Formula(); // not defined
};

struct ZeroValue: public comphelper::ConfigurationProperty<ZeroValue, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Content/Display/ZeroValue"); return PATH; }
private:
    ZeroValue(); // not defined
    ~ZeroValue(); // not defined
};

struct NoteTag: public comphelper::ConfigurationProperty<NoteTag, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Content/Display/NoteTag"); return PATH; }
private:
    NoteTag(); // not defined
    ~NoteTag(); // not defined
};

struct FormulaMark: public comphelper::ConfigurationProperty<FormulaMark, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Content/Display/FormulaMark"); return PATH; }
private:
    FormulaMark(); // not defined
    ~FormulaMark(); // not defined
};

struct ValueHighlighting: public comphelper::ConfigurationProperty<ValueHighlighting, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Content/Display/ValueHighlighting"); return PATH; }
private:
    ValueHighlighting(); // not defined
    ~ValueHighlighting(); // not defined
};

struct ColumnRowHighlighting: public comphelper::ConfigurationProperty<ColumnRowHighlighting, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Content/Display/ColumnRowHighlighting"); return PATH; }
private:
    ColumnRowHighlighting(); // not defined
    ~ColumnRowHighlighting(); // not defined
};

struct Anchor: public comphelper::ConfigurationProperty<Anchor, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Content/Display/Anchor"); return PATH; }
private:
    Anchor(); // not defined
    ~Anchor(); // not defined
};

struct ObjectGraphic: public comphelper::ConfigurationProperty<ObjectGraphic, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Content/Display/ObjectGraphic"); return PATH; }
private:
    ObjectGraphic(); // not defined
    ~ObjectGraphic(); // not defined
};

struct Chart: public comphelper::ConfigurationProperty<Chart, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Content/Display/Chart"); return PATH; }
private:
    Chart(); // not defined
    ~Chart(); // not defined
};

struct DrawingObject: public comphelper::ConfigurationProperty<DrawingObject, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Content/Display/DrawingObject"); return PATH; }
private:
    DrawingObject(); // not defined
    ~DrawingObject(); // not defined
};

private:
    Display(); // not defined
    ~Display(); // not defined
};

struct Update: public comphelper::ConfigurationGroup< Update> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Content/Update"); return PATH; }

struct Link: public comphelper::ConfigurationProperty<Link, std::optional<sal_Int32> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Content/Update/Link"); return PATH; }
private:
    Link(); // not defined
    ~Link(); // not defined
};

private:
    Update(); // not defined
    ~Update(); // not defined
};

private:
    Content(); // not defined
    ~Content(); // not defined
};

struct Layout: public comphelper::ConfigurationGroup< Layout> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Layout"); return PATH; }

struct Line: public comphelper::ConfigurationGroup< Line> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Layout/Line"); return PATH; }

struct GridLine: public comphelper::ConfigurationProperty<GridLine, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Layout/Line/GridLine"); return PATH; }
private:
    GridLine(); // not defined
    ~GridLine(); // not defined
};

struct GridOnColoredCells: public comphelper::ConfigurationProperty<GridOnColoredCells, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Layout/Line/GridOnColoredCells"); return PATH; }
private:
    GridOnColoredCells(); // not defined
    ~GridOnColoredCells(); // not defined
};

struct GridLineColor: public comphelper::ConfigurationProperty<GridLineColor, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Layout/Line/GridLineColor"); return PATH; }
private:
    GridLineColor(); // not defined
    ~GridLineColor(); // not defined
};

struct PageBreak: public comphelper::ConfigurationProperty<PageBreak, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Layout/Line/PageBreak"); return PATH; }
private:
    PageBreak(); // not defined
    ~PageBreak(); // not defined
};

struct Guide: public comphelper::ConfigurationProperty<Guide, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Layout/Line/Guide"); return PATH; }
private:
    Guide(); // not defined
    ~Guide(); // not defined
};

private:
    Line(); // not defined
    ~Line(); // not defined
};

struct Window: public comphelper::ConfigurationGroup< Window> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Layout/Window"); return PATH; }

struct ColumnRowHeader: public comphelper::ConfigurationProperty<ColumnRowHeader, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Layout/Window/ColumnRowHeader"); return PATH; }
private:
    ColumnRowHeader(); // not defined
    ~ColumnRowHeader(); // not defined
};

struct HorizontalScroll: public comphelper::ConfigurationProperty<HorizontalScroll, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Layout/Window/HorizontalScroll"); return PATH; }
private:
    HorizontalScroll(); // not defined
    ~HorizontalScroll(); // not defined
};

struct VerticalScroll: public comphelper::ConfigurationProperty<VerticalScroll, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Layout/Window/VerticalScroll"); return PATH; }
private:
    VerticalScroll(); // not defined
    ~VerticalScroll(); // not defined
};

struct SheetTab: public comphelper::ConfigurationProperty<SheetTab, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Layout/Window/SheetTab"); return PATH; }
private:
    SheetTab(); // not defined
    ~SheetTab(); // not defined
};

struct OutlineSymbol: public comphelper::ConfigurationProperty<OutlineSymbol, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Layout/Window/OutlineSymbol"); return PATH; }
private:
    OutlineSymbol(); // not defined
    ~OutlineSymbol(); // not defined
};

struct SearchSummary: public comphelper::ConfigurationProperty<SearchSummary, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Layout/Window/SearchSummary"); return PATH; }
private:
    SearchSummary(); // not defined
    ~SearchSummary(); // not defined
};

struct ThemedCursor: public comphelper::ConfigurationProperty<ThemedCursor, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Layout/Window/ThemedCursor"); return PATH; }
private:
    ThemedCursor(); // not defined
    ~ThemedCursor(); // not defined
};

private:
    Window(); // not defined
    ~Window(); // not defined
};

struct Other: public comphelper::ConfigurationGroup< Other> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Layout/Other"); return PATH; }

struct StatusbarMultiFunction: public comphelper::ConfigurationProperty<StatusbarMultiFunction, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Layout/Other/StatusbarMultiFunction"); return PATH; }
private:
    StatusbarMultiFunction(); // not defined
    ~StatusbarMultiFunction(); // not defined
};

struct StatusbarFunction: public comphelper::ConfigurationProperty<StatusbarFunction, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Layout/Other/StatusbarFunction"); return PATH; }
private:
    StatusbarFunction(); // not defined
    ~StatusbarFunction(); // not defined
};

struct TabbarInlineWithScrollbar: public comphelper::ConfigurationProperty<TabbarInlineWithScrollbar, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Layout/Other/TabbarInlineWithScrollbar"); return PATH; }
private:
    TabbarInlineWithScrollbar(); // not defined
    ~TabbarInlineWithScrollbar(); // not defined
};

struct TabStop: public comphelper::ConfigurationGroup< TabStop> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Layout/Other/TabStop"); return PATH; }

struct Metric: public comphelper::ConfigurationProperty<Metric, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Layout/Other/TabStop/Metric"); return PATH; }
private:
    Metric(); // not defined
    ~Metric(); // not defined
};

struct NonMetric: public comphelper::ConfigurationProperty<NonMetric, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Layout/Other/TabStop/NonMetric"); return PATH; }
private:
    NonMetric(); // not defined
    ~NonMetric(); // not defined
};

private:
    TabStop(); // not defined
    ~TabStop(); // not defined
};

struct MeasureUnit: public comphelper::ConfigurationGroup< MeasureUnit> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Layout/Other/MeasureUnit"); return PATH; }

struct Metric: public comphelper::ConfigurationProperty<Metric, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Layout/Other/MeasureUnit/Metric"); return PATH; }
private:
    Metric(); // not defined
    ~Metric(); // not defined
};

struct NonMetric: public comphelper::ConfigurationProperty<NonMetric, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Layout/Other/MeasureUnit/NonMetric"); return PATH; }
private:
    NonMetric(); // not defined
    ~NonMetric(); // not defined
};

private:
    MeasureUnit(); // not defined
    ~MeasureUnit(); // not defined
};

private:
    Other(); // not defined
    ~Other(); // not defined
};

struct Zoom: public comphelper::ConfigurationGroup< Zoom> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Layout/Zoom"); return PATH; }

struct Type: public comphelper::ConfigurationProperty<Type, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Layout/Zoom/Type"); return PATH; }
private:
    Type(); // not defined
    ~Type(); // not defined
};

struct Value: public comphelper::ConfigurationProperty<Value, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Layout/Zoom/Value"); return PATH; }
private:
    Value(); // not defined
    ~Value(); // not defined
};

struct Synchronize: public comphelper::ConfigurationProperty<Synchronize, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Layout/Zoom/Synchronize"); return PATH; }
private:
    Synchronize(); // not defined
    ~Synchronize(); // not defined
};

private:
    Zoom(); // not defined
    ~Zoom(); // not defined
};

private:
    Layout(); // not defined
    ~Layout(); // not defined
};

struct Input: public comphelper::ConfigurationGroup< Input> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Input"); return PATH; }

struct MoveSelection: public comphelper::ConfigurationProperty<MoveSelection, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Input/MoveSelection"); return PATH; }
private:
    MoveSelection(); // not defined
    ~MoveSelection(); // not defined
};

struct MoveSelectionDirection: public comphelper::ConfigurationProperty<MoveSelectionDirection, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Input/MoveSelectionDirection"); return PATH; }
private:
    MoveSelectionDirection(); // not defined
    ~MoveSelectionDirection(); // not defined
};

struct SwitchToEditMode: public comphelper::ConfigurationProperty<SwitchToEditMode, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Input/SwitchToEditMode"); return PATH; }
private:
    SwitchToEditMode(); // not defined
    ~SwitchToEditMode(); // not defined
};

struct ExpandFormatting: public comphelper::ConfigurationProperty<ExpandFormatting, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Input/ExpandFormatting"); return PATH; }
private:
    ExpandFormatting(); // not defined
    ~ExpandFormatting(); // not defined
};

struct ShowReference: public comphelper::ConfigurationProperty<ShowReference, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Input/ShowReference"); return PATH; }
private:
    ShowReference(); // not defined
    ~ShowReference(); // not defined
};

struct ExpandReference: public comphelper::ConfigurationProperty<ExpandReference, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Input/ExpandReference"); return PATH; }
private:
    ExpandReference(); // not defined
    ~ExpandReference(); // not defined
};

struct UpdateReferenceOnSort: public comphelper::ConfigurationProperty<UpdateReferenceOnSort, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Input/UpdateReferenceOnSort"); return PATH; }
private:
    UpdateReferenceOnSort(); // not defined
    ~UpdateReferenceOnSort(); // not defined
};

struct HighlightSelection: public comphelper::ConfigurationProperty<HighlightSelection, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Input/HighlightSelection"); return PATH; }
private:
    HighlightSelection(); // not defined
    ~HighlightSelection(); // not defined
};

struct UseTabCol: public comphelper::ConfigurationProperty<UseTabCol, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Input/UseTabCol"); return PATH; }
private:
    UseTabCol(); // not defined
    ~UseTabCol(); // not defined
};

struct ReplaceCellsWarning: public comphelper::ConfigurationProperty<ReplaceCellsWarning, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Input/ReplaceCellsWarning"); return PATH; }
private:
    ReplaceCellsWarning(); // not defined
    ~ReplaceCellsWarning(); // not defined
};

struct LegacyCellSelection: public comphelper::ConfigurationProperty<LegacyCellSelection, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Input/LegacyCellSelection"); return PATH; }
private:
    LegacyCellSelection(); // not defined
    ~LegacyCellSelection(); // not defined
};

struct EnterPasteMode: public comphelper::ConfigurationProperty<EnterPasteMode, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Input/EnterPasteMode"); return PATH; }
private:
    EnterPasteMode(); // not defined
    ~EnterPasteMode(); // not defined
};

struct UseScrollLock: public comphelper::ConfigurationProperty<UseScrollLock, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Input/UseScrollLock"); return PATH; }
private:
    UseScrollLock(); // not defined
    ~UseScrollLock(); // not defined
};

struct LastFunctions: public comphelper::ConfigurationProperty<LastFunctions, com::sun::star::uno::Sequence<sal_Int32> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Input/LastFunctions"); return PATH; }
private:
    LastFunctions(); // not defined
    ~LastFunctions(); // not defined
};

struct AutoInput: public comphelper::ConfigurationProperty<AutoInput, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Input/AutoInput"); return PATH; }
private:
    AutoInput(); // not defined
    ~AutoInput(); // not defined
};

struct DetectiveAuto: public comphelper::ConfigurationProperty<DetectiveAuto, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Input/DetectiveAuto"); return PATH; }
private:
    DetectiveAuto(); // not defined
    ~DetectiveAuto(); // not defined
};

private:
    Input(); // not defined
    ~Input(); // not defined
};

struct Grid: public comphelper::ConfigurationGroup< Grid> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Grid"); return PATH; }

struct Option: public comphelper::ConfigurationGroup< Option> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Grid/Option"); return PATH; }

struct SnapToGrid: public comphelper::ConfigurationProperty<SnapToGrid, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Grid/Option/SnapToGrid"); return PATH; }
private:
    SnapToGrid(); // not defined
    ~SnapToGrid(); // not defined
};

struct SizeToGrid: public comphelper::ConfigurationProperty<SizeToGrid, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Grid/Option/SizeToGrid"); return PATH; }
private:
    SizeToGrid(); // not defined
    ~SizeToGrid(); // not defined
};

struct VisibleGrid: public comphelper::ConfigurationProperty<VisibleGrid, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Grid/Option/VisibleGrid"); return PATH; }
private:
    VisibleGrid(); // not defined
    ~VisibleGrid(); // not defined
};

struct Synchronize: public comphelper::ConfigurationProperty<Synchronize, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Grid/Option/Synchronize"); return PATH; }
private:
    Synchronize(); // not defined
    ~Synchronize(); // not defined
};

private:
    Option(); // not defined
    ~Option(); // not defined
};

struct Resolution: public comphelper::ConfigurationGroup< Resolution> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Grid/Resolution"); return PATH; }

struct XAxis: public comphelper::ConfigurationGroup< XAxis> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Grid/Resolution/XAxis"); return PATH; }

struct Metric: public comphelper::ConfigurationProperty<Metric, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Grid/Resolution/XAxis/Metric"); return PATH; }
private:
    Metric(); // not defined
    ~Metric(); // not defined
};

struct NonMetric: public comphelper::ConfigurationProperty<NonMetric, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Grid/Resolution/XAxis/NonMetric"); return PATH; }
private:
    NonMetric(); // not defined
    ~NonMetric(); // not defined
};

private:
    XAxis(); // not defined
    ~XAxis(); // not defined
};

struct YAxis: public comphelper::ConfigurationGroup< YAxis> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Grid/Resolution/YAxis"); return PATH; }

struct Metric: public comphelper::ConfigurationProperty<Metric, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Grid/Resolution/YAxis/Metric"); return PATH; }
private:
    Metric(); // not defined
    ~Metric(); // not defined
};

struct NonMetric: public comphelper::ConfigurationProperty<NonMetric, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Grid/Resolution/YAxis/NonMetric"); return PATH; }
private:
    NonMetric(); // not defined
    ~NonMetric(); // not defined
};

private:
    YAxis(); // not defined
    ~YAxis(); // not defined
};

private:
    Resolution(); // not defined
    ~Resolution(); // not defined
};

struct Subdivision: public comphelper::ConfigurationGroup< Subdivision> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Grid/Subdivision"); return PATH; }

struct XAxis: public comphelper::ConfigurationProperty<XAxis, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Grid/Subdivision/XAxis"); return PATH; }
private:
    XAxis(); // not defined
    ~XAxis(); // not defined
};

struct YAxis: public comphelper::ConfigurationProperty<YAxis, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Grid/Subdivision/YAxis"); return PATH; }
private:
    YAxis(); // not defined
    ~YAxis(); // not defined
};

private:
    Subdivision(); // not defined
    ~Subdivision(); // not defined
};

private:
    Grid(); // not defined
    ~Grid(); // not defined
};

struct SortList: public comphelper::ConfigurationGroup< SortList> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/SortList"); return PATH; }

struct List: public comphelper::ConfigurationProperty<List, com::sun::star::uno::Sequence<OUString> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/SortList/List"); return PATH; }
private:
    List(); // not defined
    ~List(); // not defined
};

private:
    SortList(); // not defined
    ~SortList(); // not defined
};

struct Dialogs: public comphelper::ConfigurationGroup< Dialogs> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs"); return PATH; }

struct DBFImport: public comphelper::ConfigurationGroup< DBFImport> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/DBFImport"); return PATH; }

struct CharSet: public comphelper::ConfigurationProperty<CharSet, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/DBFImport/CharSet"); return PATH; }
private:
    CharSet(); // not defined
    ~CharSet(); // not defined
};

private:
    DBFImport(); // not defined
    ~DBFImport(); // not defined
};

struct DBFExport: public comphelper::ConfigurationGroup< DBFExport> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/DBFExport"); return PATH; }

struct CharSet: public comphelper::ConfigurationProperty<CharSet, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/DBFExport/CharSet"); return PATH; }
private:
    CharSet(); // not defined
    ~CharSet(); // not defined
};

private:
    DBFExport(); // not defined
    ~DBFExport(); // not defined
};

struct CSVExport: public comphelper::ConfigurationGroup< CSVExport> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/CSVExport"); return PATH; }

struct CharSet: public comphelper::ConfigurationProperty<CharSet, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/CSVExport/CharSet"); return PATH; }
private:
    CharSet(); // not defined
    ~CharSet(); // not defined
};

struct FieldSeparator: public comphelper::ConfigurationProperty<FieldSeparator, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/CSVExport/FieldSeparator"); return PATH; }
private:
    FieldSeparator(); // not defined
    ~FieldSeparator(); // not defined
};

struct TextSeparator: public comphelper::ConfigurationProperty<TextSeparator, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/CSVExport/TextSeparator"); return PATH; }
private:
    TextSeparator(); // not defined
    ~TextSeparator(); // not defined
};

struct SaveTrueCellContent: public comphelper::ConfigurationProperty<SaveTrueCellContent, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/CSVExport/SaveTrueCellContent"); return PATH; }
private:
    SaveTrueCellContent(); // not defined
    ~SaveTrueCellContent(); // not defined
};

struct SaveCellFormulas: public comphelper::ConfigurationProperty<SaveCellFormulas, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/CSVExport/SaveCellFormulas"); return PATH; }
private:
    SaveCellFormulas(); // not defined
    ~SaveCellFormulas(); // not defined
};

struct QuoteAllTextCells: public comphelper::ConfigurationProperty<QuoteAllTextCells, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/CSVExport/QuoteAllTextCells"); return PATH; }
private:
    QuoteAllTextCells(); // not defined
    ~QuoteAllTextCells(); // not defined
};

struct FixedWidth: public comphelper::ConfigurationProperty<FixedWidth, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/CSVExport/FixedWidth"); return PATH; }
private:
    FixedWidth(); // not defined
    ~FixedWidth(); // not defined
};

private:
    CSVExport(); // not defined
    ~CSVExport(); // not defined
};

struct CSVImport: public comphelper::ConfigurationGroup< CSVImport> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/CSVImport"); return PATH; }

struct MergeDelimiters: public comphelper::ConfigurationProperty<MergeDelimiters, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/CSVImport/MergeDelimiters"); return PATH; }
private:
    MergeDelimiters(); // not defined
    ~MergeDelimiters(); // not defined
};

struct RemoveSpace: public comphelper::ConfigurationProperty<RemoveSpace, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/CSVImport/RemoveSpace"); return PATH; }
private:
    RemoveSpace(); // not defined
    ~RemoveSpace(); // not defined
};

struct EvaluateFormulas: public comphelper::ConfigurationProperty<EvaluateFormulas, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/CSVImport/EvaluateFormulas"); return PATH; }
private:
    EvaluateFormulas(); // not defined
    ~EvaluateFormulas(); // not defined
};

struct QuotedFieldAsText: public comphelper::ConfigurationProperty<QuotedFieldAsText, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/CSVImport/QuotedFieldAsText"); return PATH; }
private:
    QuotedFieldAsText(); // not defined
    ~QuotedFieldAsText(); // not defined
};

struct DetectSpecialNumbers: public comphelper::ConfigurationProperty<DetectSpecialNumbers, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/CSVImport/DetectSpecialNumbers"); return PATH; }
private:
    DetectSpecialNumbers(); // not defined
    ~DetectSpecialNumbers(); // not defined
};

struct DetectScientificNumbers: public comphelper::ConfigurationProperty<DetectScientificNumbers, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/CSVImport/DetectScientificNumbers"); return PATH; }
private:
    DetectScientificNumbers(); // not defined
    ~DetectScientificNumbers(); // not defined
};

struct Language: public comphelper::ConfigurationProperty<Language, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/CSVImport/Language"); return PATH; }
private:
    Language(); // not defined
    ~Language(); // not defined
};

struct Separators: public comphelper::ConfigurationProperty<Separators, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/CSVImport/Separators"); return PATH; }
private:
    Separators(); // not defined
    ~Separators(); // not defined
};

struct TextSeparators: public comphelper::ConfigurationProperty<TextSeparators, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/CSVImport/TextSeparators"); return PATH; }
private:
    TextSeparators(); // not defined
    ~TextSeparators(); // not defined
};

struct FixedWidth: public comphelper::ConfigurationProperty<FixedWidth, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/CSVImport/FixedWidth"); return PATH; }
private:
    FixedWidth(); // not defined
    ~FixedWidth(); // not defined
};

struct FromRow: public comphelper::ConfigurationProperty<FromRow, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/CSVImport/FromRow"); return PATH; }
private:
    FromRow(); // not defined
    ~FromRow(); // not defined
};

struct CharSet: public comphelper::ConfigurationProperty<CharSet, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/CSVImport/CharSet"); return PATH; }
private:
    CharSet(); // not defined
    ~CharSet(); // not defined
};

struct FixedWidthList: public comphelper::ConfigurationProperty<FixedWidthList, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/CSVImport/FixedWidthList"); return PATH; }
private:
    FixedWidthList(); // not defined
    ~FixedWidthList(); // not defined
};

private:
    CSVImport(); // not defined
    ~CSVImport(); // not defined
};

struct ClipboardTextImport: public comphelper::ConfigurationGroup< ClipboardTextImport> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/ClipboardTextImport"); return PATH; }

struct MergeDelimiters: public comphelper::ConfigurationProperty<MergeDelimiters, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/ClipboardTextImport/MergeDelimiters"); return PATH; }
private:
    MergeDelimiters(); // not defined
    ~MergeDelimiters(); // not defined
};

struct RemoveSpace: public comphelper::ConfigurationProperty<RemoveSpace, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/ClipboardTextImport/RemoveSpace"); return PATH; }
private:
    RemoveSpace(); // not defined
    ~RemoveSpace(); // not defined
};

struct EvaluateFormulas: public comphelper::ConfigurationProperty<EvaluateFormulas, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/ClipboardTextImport/EvaluateFormulas"); return PATH; }
private:
    EvaluateFormulas(); // not defined
    ~EvaluateFormulas(); // not defined
};

struct QuotedFieldAsText: public comphelper::ConfigurationProperty<QuotedFieldAsText, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/ClipboardTextImport/QuotedFieldAsText"); return PATH; }
private:
    QuotedFieldAsText(); // not defined
    ~QuotedFieldAsText(); // not defined
};

struct DetectSpecialNumbers: public comphelper::ConfigurationProperty<DetectSpecialNumbers, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/ClipboardTextImport/DetectSpecialNumbers"); return PATH; }
private:
    DetectSpecialNumbers(); // not defined
    ~DetectSpecialNumbers(); // not defined
};

struct DetectScientificNumbers: public comphelper::ConfigurationProperty<DetectScientificNumbers, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/ClipboardTextImport/DetectScientificNumbers"); return PATH; }
private:
    DetectScientificNumbers(); // not defined
    ~DetectScientificNumbers(); // not defined
};

struct SkipEmptyCells: public comphelper::ConfigurationProperty<SkipEmptyCells, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/ClipboardTextImport/SkipEmptyCells"); return PATH; }
private:
    SkipEmptyCells(); // not defined
    ~SkipEmptyCells(); // not defined
};

struct Language: public comphelper::ConfigurationProperty<Language, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/ClipboardTextImport/Language"); return PATH; }
private:
    Language(); // not defined
    ~Language(); // not defined
};

struct Separators: public comphelper::ConfigurationProperty<Separators, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/ClipboardTextImport/Separators"); return PATH; }
private:
    Separators(); // not defined
    ~Separators(); // not defined
};

struct TextSeparators: public comphelper::ConfigurationProperty<TextSeparators, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/ClipboardTextImport/TextSeparators"); return PATH; }
private:
    TextSeparators(); // not defined
    ~TextSeparators(); // not defined
};

struct FixedWidth: public comphelper::ConfigurationProperty<FixedWidth, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/ClipboardTextImport/FixedWidth"); return PATH; }
private:
    FixedWidth(); // not defined
    ~FixedWidth(); // not defined
};

struct FromRow: public comphelper::ConfigurationProperty<FromRow, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/ClipboardTextImport/FromRow"); return PATH; }
private:
    FromRow(); // not defined
    ~FromRow(); // not defined
};

struct CharSet: public comphelper::ConfigurationProperty<CharSet, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/ClipboardTextImport/CharSet"); return PATH; }
private:
    CharSet(); // not defined
    ~CharSet(); // not defined
};

struct FixedWidthList: public comphelper::ConfigurationProperty<FixedWidthList, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/ClipboardTextImport/FixedWidthList"); return PATH; }
private:
    FixedWidthList(); // not defined
    ~FixedWidthList(); // not defined
};

private:
    ClipboardTextImport(); // not defined
    ~ClipboardTextImport(); // not defined
};

struct TextToColumnsImport: public comphelper::ConfigurationGroup< TextToColumnsImport> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/TextToColumnsImport"); return PATH; }

struct MergeDelimiters: public comphelper::ConfigurationProperty<MergeDelimiters, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/TextToColumnsImport/MergeDelimiters"); return PATH; }
private:
    MergeDelimiters(); // not defined
    ~MergeDelimiters(); // not defined
};

struct RemoveSpace: public comphelper::ConfigurationProperty<RemoveSpace, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/TextToColumnsImport/RemoveSpace"); return PATH; }
private:
    RemoveSpace(); // not defined
    ~RemoveSpace(); // not defined
};

struct EvaluateFormulas: public comphelper::ConfigurationProperty<EvaluateFormulas, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/TextToColumnsImport/EvaluateFormulas"); return PATH; }
private:
    EvaluateFormulas(); // not defined
    ~EvaluateFormulas(); // not defined
};

struct Separators: public comphelper::ConfigurationProperty<Separators, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/TextToColumnsImport/Separators"); return PATH; }
private:
    Separators(); // not defined
    ~Separators(); // not defined
};

struct SkipEmptyCells: public comphelper::ConfigurationProperty<SkipEmptyCells, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/TextToColumnsImport/SkipEmptyCells"); return PATH; }
private:
    SkipEmptyCells(); // not defined
    ~SkipEmptyCells(); // not defined
};

struct TextSeparators: public comphelper::ConfigurationProperty<TextSeparators, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/TextToColumnsImport/TextSeparators"); return PATH; }
private:
    TextSeparators(); // not defined
    ~TextSeparators(); // not defined
};

struct FixedWidth: public comphelper::ConfigurationProperty<FixedWidth, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/TextToColumnsImport/FixedWidth"); return PATH; }
private:
    FixedWidth(); // not defined
    ~FixedWidth(); // not defined
};

struct FixedWidthList: public comphelper::ConfigurationProperty<FixedWidthList, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Dialogs/TextToColumnsImport/FixedWidthList"); return PATH; }
private:
    FixedWidthList(); // not defined
    ~FixedWidthList(); // not defined
};

private:
    TextToColumnsImport(); // not defined
    ~TextToColumnsImport(); // not defined
};

private:
    Dialogs(); // not defined
    ~Dialogs(); // not defined
};

struct Calculate: public comphelper::ConfigurationGroup< Calculate> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Calculate"); return PATH; }

struct IterativeReference: public comphelper::ConfigurationGroup< IterativeReference> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Calculate/IterativeReference"); return PATH; }

struct Iteration: public comphelper::ConfigurationProperty<Iteration, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Calculate/IterativeReference/Iteration"); return PATH; }
private:
    Iteration(); // not defined
    ~Iteration(); // not defined
};

struct Steps: public comphelper::ConfigurationProperty<Steps, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Calculate/IterativeReference/Steps"); return PATH; }
private:
    Steps(); // not defined
    ~Steps(); // not defined
};

struct MinimumChange: public comphelper::ConfigurationProperty<MinimumChange, double> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Calculate/IterativeReference/MinimumChange"); return PATH; }
private:
    MinimumChange(); // not defined
    ~MinimumChange(); // not defined
};

private:
    IterativeReference(); // not defined
    ~IterativeReference(); // not defined
};

struct Other: public comphelper::ConfigurationGroup< Other> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Calculate/Other"); return PATH; }

struct CaseSensitive: public comphelper::ConfigurationProperty<CaseSensitive, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Calculate/Other/CaseSensitive"); return PATH; }
private:
    CaseSensitive(); // not defined
    ~CaseSensitive(); // not defined
};

struct Precision: public comphelper::ConfigurationProperty<Precision, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Calculate/Other/Precision"); return PATH; }
private:
    Precision(); // not defined
    ~Precision(); // not defined
};

struct SearchCriteria: public comphelper::ConfigurationProperty<SearchCriteria, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Calculate/Other/SearchCriteria"); return PATH; }
private:
    SearchCriteria(); // not defined
    ~SearchCriteria(); // not defined
};

struct FindLabel: public comphelper::ConfigurationProperty<FindLabel, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Calculate/Other/FindLabel"); return PATH; }
private:
    FindLabel(); // not defined
    ~FindLabel(); // not defined
};

struct DecimalPlaces: public comphelper::ConfigurationProperty<DecimalPlaces, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Calculate/Other/DecimalPlaces"); return PATH; }
private:
    DecimalPlaces(); // not defined
    ~DecimalPlaces(); // not defined
};

struct RegularExpressions: public comphelper::ConfigurationProperty<RegularExpressions, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Calculate/Other/RegularExpressions"); return PATH; }
private:
    RegularExpressions(); // not defined
    ~RegularExpressions(); // not defined
};

struct Wildcards: public comphelper::ConfigurationProperty<Wildcards, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Calculate/Other/Wildcards"); return PATH; }
private:
    Wildcards(); // not defined
    ~Wildcards(); // not defined
};

private:
    Other(); // not defined
    ~Other(); // not defined
};

private:
    Calculate(); // not defined
    ~Calculate(); // not defined
};

struct Formula: public comphelper::ConfigurationGroup< Formula> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Formula"); return PATH; }

struct Calculation: public comphelper::ConfigurationGroup< Calculation> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Formula/Calculation"); return PATH; }

struct UseThreadedCalculationForFormulaGroups: public comphelper::ConfigurationProperty<UseThreadedCalculationForFormulaGroups, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Formula/Calculation/UseThreadedCalculationForFormulaGroups"); return PATH; }
private:
    UseThreadedCalculationForFormulaGroups(); // not defined
    ~UseThreadedCalculationForFormulaGroups(); // not defined
};

struct OpenCLSubsetOnly: public comphelper::ConfigurationProperty<OpenCLSubsetOnly, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Formula/Calculation/OpenCLSubsetOnly"); return PATH; }
private:
    OpenCLSubsetOnly(); // not defined
    ~OpenCLSubsetOnly(); // not defined
};

struct OpenCLMinimumDataSize: public comphelper::ConfigurationProperty<OpenCLMinimumDataSize, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Formula/Calculation/OpenCLMinimumDataSize"); return PATH; }
private:
    OpenCLMinimumDataSize(); // not defined
    ~OpenCLMinimumDataSize(); // not defined
};

struct OpenCLSubsetOpCodes: public comphelper::ConfigurationProperty<OpenCLSubsetOpCodes, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Formula/Calculation/OpenCLSubsetOpCodes"); return PATH; }
private:
    OpenCLSubsetOpCodes(); // not defined
    ~OpenCLSubsetOpCodes(); // not defined
};

struct OpenCLAutoSelect: public comphelper::ConfigurationProperty<OpenCLAutoSelect, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Formula/Calculation/OpenCLAutoSelect"); return PATH; }
private:
    OpenCLAutoSelect(); // not defined
    ~OpenCLAutoSelect(); // not defined
};

struct OpenCLDevice: public comphelper::ConfigurationProperty<OpenCLDevice, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Formula/Calculation/OpenCLDevice"); return PATH; }
private:
    OpenCLDevice(); // not defined
    ~OpenCLDevice(); // not defined
};

private:
    Calculation(); // not defined
    ~Calculation(); // not defined
};

struct Syntax: public comphelper::ConfigurationGroup< Syntax> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Formula/Syntax"); return PATH; }

struct Grammar: public comphelper::ConfigurationProperty<Grammar, std::optional<sal_Int32> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Formula/Syntax/Grammar"); return PATH; }
private:
    Grammar(); // not defined
    ~Grammar(); // not defined
};

struct EnglishFunctionName: public comphelper::ConfigurationProperty<EnglishFunctionName, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Formula/Syntax/EnglishFunctionName"); return PATH; }
private:
    EnglishFunctionName(); // not defined
    ~EnglishFunctionName(); // not defined
};

struct SeparatorArg: public comphelper::ConfigurationProperty<SeparatorArg, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Formula/Syntax/SeparatorArg"); return PATH; }
private:
    SeparatorArg(); // not defined
    ~SeparatorArg(); // not defined
};

struct SeparatorArrayRow: public comphelper::ConfigurationProperty<SeparatorArrayRow, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Formula/Syntax/SeparatorArrayRow"); return PATH; }
private:
    SeparatorArrayRow(); // not defined
    ~SeparatorArrayRow(); // not defined
};

struct SeparatorArrayCol: public comphelper::ConfigurationProperty<SeparatorArrayCol, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Formula/Syntax/SeparatorArrayCol"); return PATH; }
private:
    SeparatorArrayCol(); // not defined
    ~SeparatorArrayCol(); // not defined
};

struct StringRefAddressSyntax: public comphelper::ConfigurationProperty<StringRefAddressSyntax, std::optional<sal_Int32> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Formula/Syntax/StringRefAddressSyntax"); return PATH; }
private:
    StringRefAddressSyntax(); // not defined
    ~StringRefAddressSyntax(); // not defined
};

struct EmptyStringAsZero: public comphelper::ConfigurationProperty<EmptyStringAsZero, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Formula/Syntax/EmptyStringAsZero"); return PATH; }
private:
    EmptyStringAsZero(); // not defined
    ~EmptyStringAsZero(); // not defined
};

struct StringConversion: public comphelper::ConfigurationProperty<StringConversion, std::optional<sal_Int32> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Formula/Syntax/StringConversion"); return PATH; }
private:
    StringConversion(); // not defined
    ~StringConversion(); // not defined
};

private:
    Syntax(); // not defined
    ~Syntax(); // not defined
};

struct Load: public comphelper::ConfigurationGroup< Load> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Formula/Load"); return PATH; }

struct OOXMLRecalcMode: public comphelper::ConfigurationProperty<OOXMLRecalcMode, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Formula/Load/OOXMLRecalcMode"); return PATH; }
private:
    OOXMLRecalcMode(); // not defined
    ~OOXMLRecalcMode(); // not defined
};

struct ODFRecalcMode: public comphelper::ConfigurationProperty<ODFRecalcMode, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Formula/Load/ODFRecalcMode"); return PATH; }
private:
    ODFRecalcMode(); // not defined
    ~ODFRecalcMode(); // not defined
};

private:
    Load(); // not defined
    ~Load(); // not defined
};

private:
    Formula(); // not defined
    ~Formula(); // not defined
};

struct Revision: public comphelper::ConfigurationGroup< Revision> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Revision"); return PATH; }

struct Color: public comphelper::ConfigurationGroup< Color> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Revision/Color"); return PATH; }

struct Change: public comphelper::ConfigurationProperty<Change, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Revision/Color/Change"); return PATH; }
private:
    Change(); // not defined
    ~Change(); // not defined
};

struct Deletion: public comphelper::ConfigurationProperty<Deletion, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Revision/Color/Deletion"); return PATH; }
private:
    Deletion(); // not defined
    ~Deletion(); // not defined
};

struct Insertion: public comphelper::ConfigurationProperty<Insertion, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Revision/Color/Insertion"); return PATH; }
private:
    Insertion(); // not defined
    ~Insertion(); // not defined
};

struct MovedEntry: public comphelper::ConfigurationProperty<MovedEntry, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Revision/Color/MovedEntry"); return PATH; }
private:
    MovedEntry(); // not defined
    ~MovedEntry(); // not defined
};

private:
    Color(); // not defined
    ~Color(); // not defined
};

private:
    Revision(); // not defined
    ~Revision(); // not defined
};

struct Filter: public comphelper::ConfigurationGroup< Filter> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Filter"); return PATH; }

struct Import: public comphelper::ConfigurationGroup< Import> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Filter/Import"); return PATH; }

struct VBA: public comphelper::ConfigurationGroup< VBA> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Filter/Import/VBA"); return PATH; }

struct UseExport: public comphelper::ConfigurationProperty<UseExport, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Filter/Import/VBA/UseExport"); return PATH; }
private:
    UseExport(); // not defined
    ~UseExport(); // not defined
};

struct Load: public comphelper::ConfigurationProperty<Load, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Filter/Import/VBA/Load"); return PATH; }
private:
    Load(); // not defined
    ~Load(); // not defined
};

struct Executable: public comphelper::ConfigurationProperty<Executable, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Filter/Import/VBA/Executable"); return PATH; }
private:
    Executable(); // not defined
    ~Executable(); // not defined
};

struct Save: public comphelper::ConfigurationProperty<Save, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Filter/Import/VBA/Save"); return PATH; }
private:
    Save(); // not defined
    ~Save(); // not defined
};

private:
    VBA(); // not defined
    ~VBA(); // not defined
};

struct Lotus123: public comphelper::ConfigurationGroup< Lotus123> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Filter/Import/Lotus123"); return PATH; }

struct WK3: public comphelper::ConfigurationProperty<WK3, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Filter/Import/Lotus123/WK3"); return PATH; }
private:
    WK3(); // not defined
    ~WK3(); // not defined
};

private:
    Lotus123(); // not defined
    ~Lotus123(); // not defined
};

struct MS_Excel: public comphelper::ConfigurationGroup< MS_Excel> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Filter/Import/MS_Excel"); return PATH; }

struct ColScale: public comphelper::ConfigurationProperty<ColScale, double> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Filter/Import/MS_Excel/ColScale"); return PATH; }
private:
    ColScale(); // not defined
    ~ColScale(); // not defined
};

struct RowScale: public comphelper::ConfigurationProperty<RowScale, double> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Filter/Import/MS_Excel/RowScale"); return PATH; }
private:
    RowScale(); // not defined
    ~RowScale(); // not defined
};

private:
    MS_Excel(); // not defined
    ~MS_Excel(); // not defined
};

private:
    Import(); // not defined
    ~Import(); // not defined
};

struct Export: public comphelper::ConfigurationGroup< Export> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Filter/Export"); return PATH; }

struct MS_Excel: public comphelper::ConfigurationGroup< MS_Excel> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Filter/Export/MS_Excel"); return PATH; }

struct TruncateLongSheetNames: public comphelper::ConfigurationProperty<TruncateLongSheetNames, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Filter/Export/MS_Excel/TruncateLongSheetNames"); return PATH; }
private:
    TruncateLongSheetNames(); // not defined
    ~TruncateLongSheetNames(); // not defined
};

private:
    MS_Excel(); // not defined
    ~MS_Excel(); // not defined
};

private:
    Export(); // not defined
    ~Export(); // not defined
};

private:
    Filter(); // not defined
    ~Filter(); // not defined
};

struct Print: public comphelper::ConfigurationGroup< Print> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Print"); return PATH; }

struct Page: public comphelper::ConfigurationGroup< Page> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Print/Page"); return PATH; }

struct EmptyPages: public comphelper::ConfigurationProperty<EmptyPages, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Print/Page/EmptyPages"); return PATH; }
private:
    EmptyPages(); // not defined
    ~EmptyPages(); // not defined
};

struct ForceBreaks: public comphelper::ConfigurationProperty<ForceBreaks, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Print/Page/ForceBreaks"); return PATH; }
private:
    ForceBreaks(); // not defined
    ~ForceBreaks(); // not defined
};

private:
    Page(); // not defined
    ~Page(); // not defined
};

struct Other: public comphelper::ConfigurationGroup< Other> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Print/Other"); return PATH; }

struct AllSheets: public comphelper::ConfigurationProperty<AllSheets, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Print/Other/AllSheets"); return PATH; }
private:
    AllSheets(); // not defined
    ~AllSheets(); // not defined
};

private:
    Other(); // not defined
    ~Other(); // not defined
};

private:
    Print(); // not defined
    ~Print(); // not defined
};

struct Misc: public comphelper::ConfigurationGroup< Misc> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Misc"); return PATH; }

struct DefaultObjectSize: public comphelper::ConfigurationGroup< DefaultObjectSize> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Misc/DefaultObjectSize"); return PATH; }

struct Width: public comphelper::ConfigurationProperty<Width, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Misc/DefaultObjectSize/Width"); return PATH; }
private:
    Width(); // not defined
    ~Width(); // not defined
};

struct Height: public comphelper::ConfigurationProperty<Height, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Misc/DefaultObjectSize/Height"); return PATH; }
private:
    Height(); // not defined
    ~Height(); // not defined
};

private:
    DefaultObjectSize(); // not defined
    ~DefaultObjectSize(); // not defined
};

struct SharedDocument: public comphelper::ConfigurationGroup< SharedDocument> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Misc/SharedDocument"); return PATH; }

struct ShowWarning: public comphelper::ConfigurationProperty<ShowWarning, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Misc/SharedDocument/ShowWarning"); return PATH; }
private:
    ShowWarning(); // not defined
    ~ShowWarning(); // not defined
};

private:
    SharedDocument(); // not defined
    ~SharedDocument(); // not defined
};

private:
    Misc(); // not defined
    ~Misc(); // not defined
};

struct Compatibility: public comphelper::ConfigurationGroup< Compatibility> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Compatibility"); return PATH; }

struct MergeCells: public comphelper::ConfigurationGroup< MergeCells> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Compatibility/MergeCells"); return PATH; }

struct ShowDialog: public comphelper::ConfigurationProperty<ShowDialog, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Compatibility/MergeCells/ShowDialog"); return PATH; }
private:
    ShowDialog(); // not defined
    ~ShowDialog(); // not defined
};

struct EmptyMergedCells: public comphelper::ConfigurationProperty<EmptyMergedCells, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Compatibility/MergeCells/EmptyMergedCells"); return PATH; }
private:
    EmptyMergedCells(); // not defined
    ~EmptyMergedCells(); // not defined
};

private:
    MergeCells(); // not defined
    ~MergeCells(); // not defined
};

struct KeyBindings: public comphelper::ConfigurationGroup< KeyBindings> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Compatibility/KeyBindings"); return PATH; }

struct BaseGroup: public comphelper::ConfigurationProperty<BaseGroup, std::optional<sal_Int32> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Compatibility/KeyBindings/BaseGroup"); return PATH; }
private:
    BaseGroup(); // not defined
    ~BaseGroup(); // not defined
};

private:
    KeyBindings(); // not defined
    ~KeyBindings(); // not defined
};

struct Links: public comphelper::ConfigurationProperty<Links, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Compatibility/Links"); return PATH; }
private:
    Links(); // not defined
    ~Links(); // not defined
};

private:
    Compatibility(); // not defined
    ~Compatibility(); // not defined
};

struct Defaults: public comphelper::ConfigurationGroup< Defaults> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Defaults"); return PATH; }

struct Sheet: public comphelper::ConfigurationGroup< Sheet> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Defaults/Sheet"); return PATH; }

struct SheetCount: public comphelper::ConfigurationProperty<SheetCount, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Defaults/Sheet/SheetCount"); return PATH; }
private:
    SheetCount(); // not defined
    ~SheetCount(); // not defined
};

struct SheetPrefix: public comphelper::ConfigurationProperty<SheetPrefix, std::optional<OUString> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Defaults/Sheet/SheetPrefix"); return PATH; }
private:
    SheetPrefix(); // not defined
    ~SheetPrefix(); // not defined
};

struct JumboSheets: public comphelper::ConfigurationProperty<JumboSheets, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/Defaults/Sheet/JumboSheets"); return PATH; }
private:
    JumboSheets(); // not defined
    ~JumboSheets(); // not defined
};

private:
    Sheet(); // not defined
    ~Sheet(); // not defined
};

private:
    Defaults(); // not defined
    ~Defaults(); // not defined
};

struct DataStream: public comphelper::ConfigurationGroup< DataStream> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/DataStream"); return PATH; }

struct UpdateTimeout: public comphelper::ConfigurationProperty<UpdateTimeout, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Calc/DataStream/UpdateTimeout"); return PATH; }
private:
    UpdateTimeout(); // not defined
    ~UpdateTimeout(); // not defined
};

private:
    DataStream(); // not defined
    ~DataStream(); // not defined
};

} } }

#endif
