#ifndef INCLUDED_OFFICECFG_OFFICE_CHART_HXX
#define INCLUDED_OFFICECFG_OFFICE_CHART_HXX

#include "sal/config.h"

#include "com/sun/star/uno/Sequence.hxx"
#include "rtl/ustring.h"
#include "rtl/ustring.hxx"
#include "comphelper/configuration.hxx"

namespace officecfg { namespace Office { namespace Chart {

struct DefaultColor: public comphelper::ConfigurationGroup< DefaultColor> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Chart/DefaultColor"); return PATH; }

struct Series: public comphelper::ConfigurationProperty<Series, com::sun::star::uno::Sequence<sal_Int64> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Chart/DefaultColor/Series"); return PATH; }
private:
    Series(); // not defined
    ~Series(); // not defined
};

private:
    DefaultColor(); // not defined
    ~DefaultColor(); // not defined
};

struct ErrorProperties: public comphelper::ConfigurationGroup< ErrorProperties> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Chart/ErrorProperties"); return PATH; }

struct ErrorRectangle: public comphelper::ConfigurationProperty<ErrorRectangle, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Chart/ErrorProperties/ErrorRectangle"); return PATH; }
private:
    ErrorRectangle(); // not defined
    ~ErrorRectangle(); // not defined
};

private:
    ErrorProperties(); // not defined
    ~ErrorProperties(); // not defined
};

} } }

#endif
