#ifndef INCLUDED_OFFICECFG_OFFICE_DRAW_HXX
#define INCLUDED_OFFICECFG_OFFICE_DRAW_HXX

#include "sal/config.h"

#include "rtl/ustring.h"
#include "rtl/ustring.hxx"
#include "sal/types.h"
#include "comphelper/configuration.hxx"

namespace officecfg { namespace Office { namespace Draw {

struct Layout: public comphelper::ConfigurationGroup< Layout> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Layout"); return PATH; }

struct Display: public comphelper::ConfigurationGroup< Display> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Layout/Display"); return PATH; }

struct Ruler: public comphelper::ConfigurationProperty<Ruler, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Layout/Display/Ruler"); return PATH; }
private:
    Ruler(); // not defined
    ~Ruler(); // not defined
};

struct Helpline: public comphelper::ConfigurationProperty<Helpline, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Layout/Display/Helpline"); return PATH; }
private:
    Helpline(); // not defined
    ~Helpline(); // not defined
};

struct Guide: public comphelper::ConfigurationProperty<Guide, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Layout/Display/Guide"); return PATH; }
private:
    Guide(); // not defined
    ~Guide(); // not defined
};

struct Bezier: public comphelper::ConfigurationProperty<Bezier, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Layout/Display/Bezier"); return PATH; }
private:
    Bezier(); // not defined
    ~Bezier(); // not defined
};

struct Contour: public comphelper::ConfigurationProperty<Contour, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Layout/Display/Contour"); return PATH; }
private:
    Contour(); // not defined
    ~Contour(); // not defined
};

private:
    Display(); // not defined
    ~Display(); // not defined
};

struct Other: public comphelper::ConfigurationGroup< Other> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Layout/Other"); return PATH; }

struct TabStop: public comphelper::ConfigurationGroup< TabStop> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Layout/Other/TabStop"); return PATH; }

struct Metric: public comphelper::ConfigurationProperty<Metric, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Layout/Other/TabStop/Metric"); return PATH; }
private:
    Metric(); // not defined
    ~Metric(); // not defined
};

struct NonMetric: public comphelper::ConfigurationProperty<NonMetric, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Layout/Other/TabStop/NonMetric"); return PATH; }
private:
    NonMetric(); // not defined
    ~NonMetric(); // not defined
};

private:
    TabStop(); // not defined
    ~TabStop(); // not defined
};

struct MeasureUnit: public comphelper::ConfigurationGroup< MeasureUnit> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Layout/Other/MeasureUnit"); return PATH; }

struct Metric: public comphelper::ConfigurationProperty<Metric, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Layout/Other/MeasureUnit/Metric"); return PATH; }
private:
    Metric(); // not defined
    ~Metric(); // not defined
};

struct NonMetric: public comphelper::ConfigurationProperty<NonMetric, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Layout/Other/MeasureUnit/NonMetric"); return PATH; }
private:
    NonMetric(); // not defined
    ~NonMetric(); // not defined
};

private:
    MeasureUnit(); // not defined
    ~MeasureUnit(); // not defined
};

private:
    Other(); // not defined
    ~Other(); // not defined
};

private:
    Layout(); // not defined
    ~Layout(); // not defined
};

struct Content: public comphelper::ConfigurationGroup< Content> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Content"); return PATH; }

struct Display: public comphelper::ConfigurationGroup< Display> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Content/Display"); return PATH; }

struct PicturePlaceholder: public comphelper::ConfigurationProperty<PicturePlaceholder, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Content/Display/PicturePlaceholder"); return PATH; }
private:
    PicturePlaceholder(); // not defined
    ~PicturePlaceholder(); // not defined
};

struct ContourMode: public comphelper::ConfigurationProperty<ContourMode, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Content/Display/ContourMode"); return PATH; }
private:
    ContourMode(); // not defined
    ~ContourMode(); // not defined
};

struct TextPlaceholder: public comphelper::ConfigurationProperty<TextPlaceholder, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Content/Display/TextPlaceholder"); return PATH; }
private:
    TextPlaceholder(); // not defined
    ~TextPlaceholder(); // not defined
};

struct LineContour: public comphelper::ConfigurationProperty<LineContour, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Content/Display/LineContour"); return PATH; }
private:
    LineContour(); // not defined
    ~LineContour(); // not defined
};

private:
    Display(); // not defined
    ~Display(); // not defined
};

private:
    Content(); // not defined
    ~Content(); // not defined
};

struct Misc: public comphelper::ConfigurationGroup< Misc> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Misc"); return PATH; }

struct BackgroundCache: public comphelper::ConfigurationProperty<BackgroundCache, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Misc/BackgroundCache"); return PATH; }
private:
    BackgroundCache(); // not defined
    ~BackgroundCache(); // not defined
};

struct CopyWhileMoving: public comphelper::ConfigurationProperty<CopyWhileMoving, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Misc/CopyWhileMoving"); return PATH; }
private:
    CopyWhileMoving(); // not defined
    ~CopyWhileMoving(); // not defined
};

struct ObjectMoveable: public comphelper::ConfigurationProperty<ObjectMoveable, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Misc/ObjectMoveable"); return PATH; }
private:
    ObjectMoveable(); // not defined
    ~ObjectMoveable(); // not defined
};

struct NoDistort: public comphelper::ConfigurationProperty<NoDistort, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Misc/NoDistort"); return PATH; }
private:
    NoDistort(); // not defined
    ~NoDistort(); // not defined
};

struct DclickTextedit: public comphelper::ConfigurationProperty<DclickTextedit, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Misc/DclickTextedit"); return PATH; }
private:
    DclickTextedit(); // not defined
    ~DclickTextedit(); // not defined
};

struct RotateClick: public comphelper::ConfigurationProperty<RotateClick, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Misc/RotateClick"); return PATH; }
private:
    RotateClick(); // not defined
    ~RotateClick(); // not defined
};

struct Preview: public comphelper::ConfigurationProperty<Preview, double> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Misc/Preview"); return PATH; }
private:
    Preview(); // not defined
    ~Preview(); // not defined
};

struct ShowComments: public comphelper::ConfigurationProperty<ShowComments, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Misc/ShowComments"); return PATH; }
private:
    ShowComments(); // not defined
    ~ShowComments(); // not defined
};

struct ModifyWithAttributes: public comphelper::ConfigurationProperty<ModifyWithAttributes, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Misc/ModifyWithAttributes"); return PATH; }
private:
    ModifyWithAttributes(); // not defined
    ~ModifyWithAttributes(); // not defined
};

struct DragThresholdPixels: public comphelper::ConfigurationProperty<DragThresholdPixels, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Misc/DragThresholdPixels"); return PATH; }
private:
    DragThresholdPixels(); // not defined
    ~DragThresholdPixels(); // not defined
};

struct TextObject: public comphelper::ConfigurationGroup< TextObject> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Misc/TextObject"); return PATH; }

struct QuickEditing: public comphelper::ConfigurationProperty<QuickEditing, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Misc/TextObject/QuickEditing"); return PATH; }
private:
    QuickEditing(); // not defined
    ~QuickEditing(); // not defined
};

struct Selectable: public comphelper::ConfigurationProperty<Selectable, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Misc/TextObject/Selectable"); return PATH; }
private:
    Selectable(); // not defined
    ~Selectable(); // not defined
};

private:
    TextObject(); // not defined
    ~TextObject(); // not defined
};

struct CrossFading: public comphelper::ConfigurationGroup< CrossFading> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Misc/CrossFading"); return PATH; }

struct Steps: public comphelper::ConfigurationProperty<Steps, sal_Int16> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Misc/CrossFading/Steps"); return PATH; }
private:
    Steps(); // not defined
    ~Steps(); // not defined
};

struct Orientation: public comphelper::ConfigurationProperty<Orientation, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Misc/CrossFading/Orientation"); return PATH; }
private:
    Orientation(); // not defined
    ~Orientation(); // not defined
};

struct Attributes: public comphelper::ConfigurationProperty<Attributes, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Misc/CrossFading/Attributes"); return PATH; }
private:
    Attributes(); // not defined
    ~Attributes(); // not defined
};

private:
    CrossFading(); // not defined
    ~CrossFading(); // not defined
};

struct DefaultObjectSize: public comphelper::ConfigurationGroup< DefaultObjectSize> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Misc/DefaultObjectSize"); return PATH; }

struct Width: public comphelper::ConfigurationProperty<Width, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Misc/DefaultObjectSize/Width"); return PATH; }
private:
    Width(); // not defined
    ~Width(); // not defined
};

struct Height: public comphelper::ConfigurationProperty<Height, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Misc/DefaultObjectSize/Height"); return PATH; }
private:
    Height(); // not defined
    ~Height(); // not defined
};

private:
    DefaultObjectSize(); // not defined
    ~DefaultObjectSize(); // not defined
};

struct Compatibility: public comphelper::ConfigurationGroup< Compatibility> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Misc/Compatibility"); return PATH; }

struct PrinterIndependentLayout: public comphelper::ConfigurationProperty<PrinterIndependentLayout, sal_Int16> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Misc/Compatibility/PrinterIndependentLayout"); return PATH; }
private:
    PrinterIndependentLayout(); // not defined
    ~PrinterIndependentLayout(); // not defined
};

private:
    Compatibility(); // not defined
    ~Compatibility(); // not defined
};

private:
    Misc(); // not defined
    ~Misc(); // not defined
};

struct Snap: public comphelper::ConfigurationGroup< Snap> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Snap"); return PATH; }

struct Object: public comphelper::ConfigurationGroup< Object> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Snap/Object"); return PATH; }

struct Grid: public comphelper::ConfigurationProperty<Grid, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Snap/Object/Grid"); return PATH; }
private:
    Grid(); // not defined
    ~Grid(); // not defined
};

struct SnapLine: public comphelper::ConfigurationProperty<SnapLine, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Snap/Object/SnapLine"); return PATH; }
private:
    SnapLine(); // not defined
    ~SnapLine(); // not defined
};

struct PageMargin: public comphelper::ConfigurationProperty<PageMargin, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Snap/Object/PageMargin"); return PATH; }
private:
    PageMargin(); // not defined
    ~PageMargin(); // not defined
};

struct ObjectFrame: public comphelper::ConfigurationProperty<ObjectFrame, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Snap/Object/ObjectFrame"); return PATH; }
private:
    ObjectFrame(); // not defined
    ~ObjectFrame(); // not defined
};

struct ObjectPoint: public comphelper::ConfigurationProperty<ObjectPoint, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Snap/Object/ObjectPoint"); return PATH; }
private:
    ObjectPoint(); // not defined
    ~ObjectPoint(); // not defined
};

struct Range: public comphelper::ConfigurationProperty<Range, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Snap/Object/Range"); return PATH; }
private:
    Range(); // not defined
    ~Range(); // not defined
};

private:
    Object(); // not defined
    ~Object(); // not defined
};

struct Position: public comphelper::ConfigurationGroup< Position> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Snap/Position"); return PATH; }

struct CreatingMoving: public comphelper::ConfigurationProperty<CreatingMoving, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Snap/Position/CreatingMoving"); return PATH; }
private:
    CreatingMoving(); // not defined
    ~CreatingMoving(); // not defined
};

struct ExtendEdges: public comphelper::ConfigurationProperty<ExtendEdges, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Snap/Position/ExtendEdges"); return PATH; }
private:
    ExtendEdges(); // not defined
    ~ExtendEdges(); // not defined
};

struct Rotating: public comphelper::ConfigurationProperty<Rotating, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Snap/Position/Rotating"); return PATH; }
private:
    Rotating(); // not defined
    ~Rotating(); // not defined
};

struct RotatingValue: public comphelper::ConfigurationProperty<RotatingValue, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Snap/Position/RotatingValue"); return PATH; }
private:
    RotatingValue(); // not defined
    ~RotatingValue(); // not defined
};

struct PointReduction: public comphelper::ConfigurationProperty<PointReduction, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Snap/Position/PointReduction"); return PATH; }
private:
    PointReduction(); // not defined
    ~PointReduction(); // not defined
};

private:
    Position(); // not defined
    ~Position(); // not defined
};

private:
    Snap(); // not defined
    ~Snap(); // not defined
};

struct Zoom: public comphelper::ConfigurationGroup< Zoom> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Zoom"); return PATH; }

struct ScaleX: public comphelper::ConfigurationProperty<ScaleX, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Zoom/ScaleX"); return PATH; }
private:
    ScaleX(); // not defined
    ~ScaleX(); // not defined
};

struct ScaleY: public comphelper::ConfigurationProperty<ScaleY, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Zoom/ScaleY"); return PATH; }
private:
    ScaleY(); // not defined
    ~ScaleY(); // not defined
};

private:
    Zoom(); // not defined
    ~Zoom(); // not defined
};

struct Grid: public comphelper::ConfigurationGroup< Grid> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Grid"); return PATH; }

struct Option: public comphelper::ConfigurationGroup< Option> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Grid/Option"); return PATH; }

struct SnapToGrid: public comphelper::ConfigurationProperty<SnapToGrid, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Grid/Option/SnapToGrid"); return PATH; }
private:
    SnapToGrid(); // not defined
    ~SnapToGrid(); // not defined
};

struct VisibleGrid: public comphelper::ConfigurationProperty<VisibleGrid, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Grid/Option/VisibleGrid"); return PATH; }
private:
    VisibleGrid(); // not defined
    ~VisibleGrid(); // not defined
};

struct Synchronize: public comphelper::ConfigurationProperty<Synchronize, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Grid/Option/Synchronize"); return PATH; }
private:
    Synchronize(); // not defined
    ~Synchronize(); // not defined
};

private:
    Option(); // not defined
    ~Option(); // not defined
};

struct Resolution: public comphelper::ConfigurationGroup< Resolution> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Grid/Resolution"); return PATH; }

struct XAxis: public comphelper::ConfigurationGroup< XAxis> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Grid/Resolution/XAxis"); return PATH; }

struct Metric: public comphelper::ConfigurationProperty<Metric, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Grid/Resolution/XAxis/Metric"); return PATH; }
private:
    Metric(); // not defined
    ~Metric(); // not defined
};

struct NonMetric: public comphelper::ConfigurationProperty<NonMetric, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Grid/Resolution/XAxis/NonMetric"); return PATH; }
private:
    NonMetric(); // not defined
    ~NonMetric(); // not defined
};

private:
    XAxis(); // not defined
    ~XAxis(); // not defined
};

struct YAxis: public comphelper::ConfigurationGroup< YAxis> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Grid/Resolution/YAxis"); return PATH; }

struct Metric: public comphelper::ConfigurationProperty<Metric, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Grid/Resolution/YAxis/Metric"); return PATH; }
private:
    Metric(); // not defined
    ~Metric(); // not defined
};

struct NonMetric: public comphelper::ConfigurationProperty<NonMetric, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Grid/Resolution/YAxis/NonMetric"); return PATH; }
private:
    NonMetric(); // not defined
    ~NonMetric(); // not defined
};

private:
    YAxis(); // not defined
    ~YAxis(); // not defined
};

private:
    Resolution(); // not defined
    ~Resolution(); // not defined
};

struct Subdivision: public comphelper::ConfigurationGroup< Subdivision> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Grid/Subdivision"); return PATH; }

struct XAxis: public comphelper::ConfigurationProperty<XAxis, double> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Grid/Subdivision/XAxis"); return PATH; }
private:
    XAxis(); // not defined
    ~XAxis(); // not defined
};

struct YAxis: public comphelper::ConfigurationProperty<YAxis, double> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Grid/Subdivision/YAxis"); return PATH; }
private:
    YAxis(); // not defined
    ~YAxis(); // not defined
};

private:
    Subdivision(); // not defined
    ~Subdivision(); // not defined
};

struct SnapGrid: public comphelper::ConfigurationGroup< SnapGrid> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Grid/SnapGrid"); return PATH; }

struct Size: public comphelper::ConfigurationProperty<Size, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Grid/SnapGrid/Size"); return PATH; }
private:
    Size(); // not defined
    ~Size(); // not defined
};

private:
    SnapGrid(); // not defined
    ~SnapGrid(); // not defined
};

private:
    Grid(); // not defined
    ~Grid(); // not defined
};

struct Print: public comphelper::ConfigurationGroup< Print> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Print"); return PATH; }

struct Content: public comphelper::ConfigurationGroup< Content> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Print/Content"); return PATH; }

struct Drawing: public comphelper::ConfigurationProperty<Drawing, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Print/Content/Drawing"); return PATH; }
private:
    Drawing(); // not defined
    ~Drawing(); // not defined
};

private:
    Content(); // not defined
    ~Content(); // not defined
};

struct Page: public comphelper::ConfigurationGroup< Page> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Print/Page"); return PATH; }

struct PageSize: public comphelper::ConfigurationProperty<PageSize, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Print/Page/PageSize"); return PATH; }
private:
    PageSize(); // not defined
    ~PageSize(); // not defined
};

struct PageTile: public comphelper::ConfigurationProperty<PageTile, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Print/Page/PageTile"); return PATH; }
private:
    PageTile(); // not defined
    ~PageTile(); // not defined
};

struct Booklet: public comphelper::ConfigurationProperty<Booklet, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Print/Page/Booklet"); return PATH; }
private:
    Booklet(); // not defined
    ~Booklet(); // not defined
};

struct BookletFront: public comphelper::ConfigurationProperty<BookletFront, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Print/Page/BookletFront"); return PATH; }
private:
    BookletFront(); // not defined
    ~BookletFront(); // not defined
};

struct BookletBack: public comphelper::ConfigurationProperty<BookletBack, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Print/Page/BookletBack"); return PATH; }
private:
    BookletBack(); // not defined
    ~BookletBack(); // not defined
};

private:
    Page(); // not defined
    ~Page(); // not defined
};

struct Other: public comphelper::ConfigurationGroup< Other> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Print/Other"); return PATH; }

struct PageName: public comphelper::ConfigurationProperty<PageName, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Print/Other/PageName"); return PATH; }
private:
    PageName(); // not defined
    ~PageName(); // not defined
};

struct Date: public comphelper::ConfigurationProperty<Date, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Print/Other/Date"); return PATH; }
private:
    Date(); // not defined
    ~Date(); // not defined
};

struct Time: public comphelper::ConfigurationProperty<Time, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Print/Other/Time"); return PATH; }
private:
    Time(); // not defined
    ~Time(); // not defined
};

struct HiddenPage: public comphelper::ConfigurationProperty<HiddenPage, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Print/Other/HiddenPage"); return PATH; }
private:
    HiddenPage(); // not defined
    ~HiddenPage(); // not defined
};

struct Quality: public comphelper::ConfigurationProperty<Quality, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Print/Other/Quality"); return PATH; }
private:
    Quality(); // not defined
    ~Quality(); // not defined
};

struct FromPrinterSetup: public comphelper::ConfigurationProperty<FromPrinterSetup, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Draw/Print/Other/FromPrinterSetup"); return PATH; }
private:
    FromPrinterSetup(); // not defined
    ~FromPrinterSetup(); // not defined
};

private:
    Other(); // not defined
    ~Other(); // not defined
};

private:
    Print(); // not defined
    ~Print(); // not defined
};

} } }

#endif
