#ifndef INCLUDED_OFFICECFG_OFFICE_EXTENSIONMANAGER_HXX
#define INCLUDED_OFFICECFG_OFFICE_EXTENSIONMANAGER_HXX

#include "sal/config.h"

#include "rtl/ustring.h"
#include "rtl/ustring.hxx"
#include "comphelper/configuration.hxx"

namespace officecfg { namespace Office { namespace ExtensionManager {

struct ExtensionRepositories: public comphelper::ConfigurationGroup< ExtensionRepositories> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.ExtensionManager/ExtensionRepositories"); return PATH; }

struct WebsiteLink: public comphelper::ConfigurationProperty<WebsiteLink, OUString> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.ExtensionManager/ExtensionRepositories/WebsiteLink"); return PATH; }
private:
    WebsiteLink(); // not defined
    ~WebsiteLink(); // not defined
};

private:
    ExtensionRepositories(); // not defined
    ~ExtensionRepositories(); // not defined
};

struct ExtensionSecurity: public comphelper::ConfigurationGroup< ExtensionSecurity> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.ExtensionManager/ExtensionSecurity"); return PATH; }

struct DisableExtensionInstallation: public comphelper::ConfigurationProperty<DisableExtensionInstallation, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.ExtensionManager/ExtensionSecurity/DisableExtensionInstallation"); return PATH; }
private:
    DisableExtensionInstallation(); // not defined
    ~DisableExtensionInstallation(); // not defined
};

struct DisableExtensionRemoval: public comphelper::ConfigurationProperty<DisableExtensionRemoval, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.ExtensionManager/ExtensionSecurity/DisableExtensionRemoval"); return PATH; }
private:
    DisableExtensionRemoval(); // not defined
    ~DisableExtensionRemoval(); // not defined
};

private:
    ExtensionSecurity(); // not defined
    ~ExtensionSecurity(); // not defined
};

struct ExtensionUpdateData: public comphelper::ConfigurationGroup< ExtensionUpdateData> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.ExtensionManager/ExtensionUpdateData"); return PATH; }

struct AvailableUpdates: public comphelper::ConfigurationSet< AvailableUpdates> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.ExtensionManager/ExtensionUpdateData/AvailableUpdates"); return PATH; }
private:
    AvailableUpdates(); // not defined
    ~AvailableUpdates(); // not defined
};

struct IgnoredUpdates: public comphelper::ConfigurationSet< IgnoredUpdates> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.ExtensionManager/ExtensionUpdateData/IgnoredUpdates"); return PATH; }
private:
    IgnoredUpdates(); // not defined
    ~IgnoredUpdates(); // not defined
};

private:
    ExtensionUpdateData(); // not defined
    ~ExtensionUpdateData(); // not defined
};

} } }

#endif
