#ifndef INCLUDED_OFFICECFG_OFFICE_SCRIPTING_HXX
#define INCLUDED_OFFICECFG_OFFICE_SCRIPTING_HXX

#include "sal/config.h"

#include "rtl/ustring.h"
#include "rtl/ustring.hxx"
#include "comphelper/configuration.hxx"

namespace officecfg { namespace Office { namespace Scripting {

struct Basic: public comphelper::ConfigurationGroup< Basic> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Scripting/Basic"); return PATH; }

struct Compatibility: public comphelper::ConfigurationGroup< Compatibility> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Scripting/Basic/Compatibility"); return PATH; }

struct UseLibreOffice6FloatingPointConversion: public comphelper::ConfigurationProperty<UseLibreOffice6FloatingPointConversion, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.Scripting/Basic/Compatibility/UseLibreOffice6FloatingPointConversion"); return PATH; }
private:
    UseLibreOffice6FloatingPointConversion(); // not defined
    ~UseLibreOffice6FloatingPointConversion(); // not defined
};

private:
    Compatibility(); // not defined
    ~Compatibility(); // not defined
};

private:
    Basic(); // not defined
    ~Basic(); // not defined
};

} } }

#endif
