#ifndef INCLUDED_OFFICECFG_OFFICE_UI_HXX
#define INCLUDED_OFFICECFG_OFFICE_UI_HXX

#include "sal/config.h"

#include <optional>
#include "com/sun/star/uno/Sequence.hxx"
#include "rtl/ustring.h"
#include "rtl/ustring.hxx"
#include "sal/types.h"
#include "comphelper/configuration.hxx"

namespace officecfg { namespace Office { namespace UI {

struct FilterClassification: public comphelper::ConfigurationGroup< FilterClassification> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.UI/FilterClassification"); return PATH; }

struct GlobalFilters: public comphelper::ConfigurationGroup< GlobalFilters> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.UI/FilterClassification/GlobalFilters"); return PATH; }

struct Order: public comphelper::ConfigurationProperty<Order, com::sun::star::uno::Sequence<OUString> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.UI/FilterClassification/GlobalFilters/Order"); return PATH; }
private:
    Order(); // not defined
    ~Order(); // not defined
};

struct Classes: public comphelper::ConfigurationSet< Classes> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.UI/FilterClassification/GlobalFilters/Classes"); return PATH; }
private:
    Classes(); // not defined
    ~Classes(); // not defined
};

private:
    GlobalFilters(); // not defined
    ~GlobalFilters(); // not defined
};

struct LocalFilters: public comphelper::ConfigurationGroup< LocalFilters> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.UI/FilterClassification/LocalFilters"); return PATH; }

struct Classes: public comphelper::ConfigurationSet< Classes> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.UI/FilterClassification/LocalFilters/Classes"); return PATH; }
private:
    Classes(); // not defined
    ~Classes(); // not defined
};

private:
    LocalFilters(); // not defined
    ~LocalFilters(); // not defined
};

private:
    FilterClassification(); // not defined
    ~FilterClassification(); // not defined
};

struct ColorScheme: public comphelper::ConfigurationGroup< ColorScheme> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.UI/ColorScheme"); return PATH; }

struct CurrentColorScheme: public comphelper::ConfigurationProperty<CurrentColorScheme, std::optional<OUString> > {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.UI/ColorScheme/CurrentColorScheme"); return PATH; }
private:
    CurrentColorScheme(); // not defined
    ~CurrentColorScheme(); // not defined
};

struct ColorSchemes: public comphelper::ConfigurationSet< ColorSchemes> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.UI/ColorScheme/ColorSchemes"); return PATH; }
private:
    ColorSchemes(); // not defined
    ~ColorSchemes(); // not defined
};

private:
    ColorScheme(); // not defined
    ~ColorScheme(); // not defined
};

struct FilePicker: public comphelper::ConfigurationGroup< FilePicker> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.UI/FilePicker"); return PATH; }

struct FillAsynchronously: public comphelper::ConfigurationProperty<FillAsynchronously, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.UI/FilePicker/FillAsynchronously"); return PATH; }
private:
    FillAsynchronously(); // not defined
    ~FillAsynchronously(); // not defined
};

struct Timeout: public comphelper::ConfigurationGroup< Timeout> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.UI/FilePicker/Timeout"); return PATH; }

struct Min: public comphelper::ConfigurationProperty<Min, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.UI/FilePicker/Timeout/Min"); return PATH; }
private:
    Min(); // not defined
    ~Min(); // not defined
};

struct Max: public comphelper::ConfigurationProperty<Max, sal_Int32> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.UI/FilePicker/Timeout/Max"); return PATH; }
private:
    Max(); // not defined
    ~Max(); // not defined
};

private:
    Timeout(); // not defined
    ~Timeout(); // not defined
};

private:
    FilePicker(); // not defined
    ~FilePicker(); // not defined
};

} } }

#endif
