#ifndef INCLUDED_OFFICECFG_OFFICE_UI_INFOBAR_HXX
#define INCLUDED_OFFICECFG_OFFICE_UI_INFOBAR_HXX

#include "sal/config.h"

#include "rtl/ustring.h"
#include "rtl/ustring.hxx"
#include "comphelper/configuration.hxx"

namespace officecfg { namespace Office { namespace UI { namespace Infobar {

struct Enabled: public comphelper::ConfigurationGroup< Enabled> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.UI.Infobar/Enabled"); return PATH; }

struct Readonly: public comphelper::ConfigurationProperty<Readonly, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.UI.Infobar/Enabled/Readonly"); return PATH; }
private:
    Readonly(); // not defined
    ~Readonly(); // not defined
};

struct Signature: public comphelper::ConfigurationProperty<Signature, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.UI.Infobar/Enabled/Signature"); return PATH; }
private:
    Signature(); // not defined
    ~Signature(); // not defined
};

struct Donate: public comphelper::ConfigurationProperty<Donate, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.UI.Infobar/Enabled/Donate"); return PATH; }
private:
    Donate(); // not defined
    ~Donate(); // not defined
};

struct GetInvolved: public comphelper::ConfigurationProperty<GetInvolved, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.UI.Infobar/Enabled/GetInvolved"); return PATH; }
private:
    GetInvolved(); // not defined
    ~GetInvolved(); // not defined
};

struct HyphenationMissing: public comphelper::ConfigurationProperty<HyphenationMissing, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.UI.Infobar/Enabled/HyphenationMissing"); return PATH; }
private:
    HyphenationMissing(); // not defined
    ~HyphenationMissing(); // not defined
};

struct WhatsNew: public comphelper::ConfigurationProperty<WhatsNew, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.UI.Infobar/Enabled/WhatsNew"); return PATH; }
private:
    WhatsNew(); // not defined
    ~WhatsNew(); // not defined
};

struct HiddenTrackChanges: public comphelper::ConfigurationProperty<HiddenTrackChanges, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.UI.Infobar/Enabled/HiddenTrackChanges"); return PATH; }
private:
    HiddenTrackChanges(); // not defined
    ~HiddenTrackChanges(); // not defined
};

struct MacrosDisabled: public comphelper::ConfigurationProperty<MacrosDisabled, bool> {
    static OUString path() { static constexpr OUStringLiteral PATH(u"/org.openoffice.Office.UI.Infobar/Enabled/MacrosDisabled"); return PATH; }
private:
    MacrosDisabled(); // not defined
    ~MacrosDisabled(); // not defined
};

private:
    Enabled(); // not defined
    ~Enabled(); // not defined
};

} } } }

#endif
