
#include "ooxml/resourceids.hxx"
#include "OOXMLFactory_a14.hxx"
#include "ooxml/OOXMLFastHelper.hxx"
#include "oox/token/tokens.hxx"

#ifdef _MSC_VER
#pragma warning(disable:4060) // switch statement contains no 'case' or 'default' labels
#pragma warning(disable:4065) // switch statement contains 'default' but no 'case' labels
#pragma warning(disable:4702) // unreachable code
#endif

namespace writerfilter {
namespace ooxml {

using namespace com::sun::star;

/// @cond GENERATED

OOXMLFactory_a14::OOXMLFactory_a14()
{
}

OOXMLFactory_a14::~OOXMLFactory_a14()
{
}

OOXMLFactory_ns::Pointer_t OOXMLFactory_a14::m_pInstance;

OOXMLFactory_ns::Pointer_t OOXMLFactory_a14::getInstance()
{
    if (!m_pInstance)
        m_pInstance = new OOXMLFactory_a14();

    return m_pInstance;
}

const AttributeInfo* OOXMLFactory_a14::getAttributeInfoArray(Id nId)
{
    switch (nId)
    {
    case NN_a14|DEFINE_CT_PictureEffectBlur:
        {
            const static AttributeInfo info[] = {
                { oox::XML_visible, ResourceType::Integer, NN_a14|DEFINE_ST_ArtisticEffectParam100 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_a14|DEFINE_CT_PictureEffectCement:
        {
            const static AttributeInfo info[] = {
                { oox::XML_crackSpacing, ResourceType::Integer, NN_a14|DEFINE_ST_ArtisticEffectParam100 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_a14|DEFINE_CT_PictureEffectChalkSketch:
        {
            const static AttributeInfo info[] = {
                { oox::XML_pressure, ResourceType::Integer, NN_a14|DEFINE_ST_ArtisticEffectParam4 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_a14|DEFINE_CT_PictureEffectCrisscrossEtching:
        {
            const static AttributeInfo info[] = {
                { oox::XML_pressure, ResourceType::Integer, NN_a14|DEFINE_ST_ArtisticEffectParam4 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_a14|DEFINE_CT_PictureEffectCutout:
        {
            const static AttributeInfo info[] = {
                { oox::XML_numberOfShades, ResourceType::Integer, NN_a14|DEFINE_ST_ArtisticEffectParam6 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_a14|DEFINE_CT_PictureEffectFilmGrain:
        {
            const static AttributeInfo info[] = {
                { oox::XML_grainSize, ResourceType::Integer, NN_a14|DEFINE_ST_ArtisticEffectParam100 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_a14|DEFINE_CT_PictureEffectGlass:
        {
            const static AttributeInfo info[] = {
                { oox::XML_scaling, ResourceType::Integer, NN_a14|DEFINE_ST_ArtisticEffectParam100 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_a14|DEFINE_CT_PictureEffectGlowDiffused:
        {
            const static AttributeInfo info[] = {
                { oox::XML_intensity, ResourceType::Integer, NN_a14|DEFINE_ST_ArtisticEffectParam10 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_a14|DEFINE_CT_PictureEffectGlowEdges:
        {
            const static AttributeInfo info[] = {
                { oox::XML_smoothness, ResourceType::Integer, NN_a14|DEFINE_ST_ArtisticEffectParam10 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_a14|DEFINE_CT_PictureEffectLightScreen:
        {
            const static AttributeInfo info[] = {
                { oox::XML_gridSize, ResourceType::Integer, NN_a14|DEFINE_ST_ArtisticEffectParam10 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_a14|DEFINE_CT_PictureEffectLineDrawing:
        {
            const static AttributeInfo info[] = {
                { oox::XML_pencilSize, ResourceType::Integer, NN_a14|DEFINE_ST_ArtisticEffectParam100 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_a14|DEFINE_CT_PictureEffectMarker:
        {
            const static AttributeInfo info[] = {
                { oox::XML_size, ResourceType::Integer, NN_a14|DEFINE_ST_ArtisticEffectParam100 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_a14|DEFINE_CT_PictureEffectMosiaicBubbles:
        {
            const static AttributeInfo info[] = {
                { oox::XML_pressure, ResourceType::Integer, NN_a14|DEFINE_ST_ArtisticEffectParam100 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_a14|DEFINE_CT_PictureEffectPaintStrokes:
        {
            const static AttributeInfo info[] = {
                { oox::XML_intensity, ResourceType::Integer, NN_a14|DEFINE_ST_ArtisticEffectParam10 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_a14|DEFINE_CT_PictureEffectPaintBrush:
        {
            const static AttributeInfo info[] = {
                { oox::XML_brushSize, ResourceType::Integer, NN_a14|DEFINE_ST_ArtisticEffectParam10 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_a14|DEFINE_CT_PictureEffectPastelsSmooth:
        {
            const static AttributeInfo info[] = {
                { oox::XML_scaling, ResourceType::Integer, NN_a14|DEFINE_ST_ArtisticEffectParam100 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_a14|DEFINE_CT_PictureEffectPencilGrayscale:
        {
            const static AttributeInfo info[] = {
                { oox::XML_pencilSize, ResourceType::Integer, NN_a14|DEFINE_ST_ArtisticEffectParam100 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_a14|DEFINE_CT_PictureEffectPencilSketch:
        {
            const static AttributeInfo info[] = {
                { oox::XML_pressure, ResourceType::Integer, NN_a14|DEFINE_ST_ArtisticEffectParam100 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_a14|DEFINE_CT_PictureEffectPhotocopy:
        {
            const static AttributeInfo info[] = {
                { oox::XML_detail, ResourceType::Integer, NN_a14|DEFINE_ST_ArtisticEffectParam10 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_a14|DEFINE_CT_PictureEffectPlasticWrap:
        {
            const static AttributeInfo info[] = {
                { oox::XML_smoothness, ResourceType::Integer, NN_a14|DEFINE_ST_ArtisticEffectParam10 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_a14|DEFINE_CT_PictureEffectTexturizer:
        {
            const static AttributeInfo info[] = {
                { oox::XML_scaling, ResourceType::Integer, NN_a14|DEFINE_ST_ArtisticEffectParam100 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_a14|DEFINE_CT_PictureEffectWatercolorSponge:
        {
            const static AttributeInfo info[] = {
                { oox::XML_brushSize, ResourceType::Integer, NN_a14|DEFINE_ST_ArtisticEffectParam10 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_a14|DEFINE_CT_PictureEffectColorTemperature:
        {
            const static AttributeInfo info[] = {
                { oox::XML_colorTemp, ResourceType::Integer, NN_a14|DEFINE_ST_ColorTemperature },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_a14|DEFINE_CT_PictureEffectSaturation:
        {
            const static AttributeInfo info[] = {
                { oox::XML_sat, ResourceType::Integer, NN_a14|DEFINE_ST_SaturationAmount },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_a14|DEFINE_CT_PictureEffect:
        {
            const static AttributeInfo info[] = {
                { oox::XML_visible, ResourceType::Boolean, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_a14|DEFINE_CT_PictureLayer:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_officeRel|oox::XML_embed, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    default:
        break;
    }

    return NULL;
}

bool OOXMLFactory_a14::getListValue(Id nId, std::string_view aValue, sal_uInt32& rOutValue)
{
    (void) aValue;
    (void) rOutValue;

    switch (nId)
    {
    default:
        break;
    }

    return false;
}

bool OOXMLFactory_a14::getElementId(Id nDefine, Id nId, ResourceType& rOutResource, Id& rOutElement)
{
    (void) rOutResource;
    (void) rOutElement;

    switch (nDefine)
    {
    default:
        switch (nId)
        {
        default: return false;
        }
        return true;
    }
}

void OOXMLFactory_a14::charactersAction(OOXMLFastContextHandler*, const OUString&)
{
}

Id OOXMLFactory_a14::getResourceId(Id nDefine, sal_Int32 nToken)
{
    (void) nDefine;
    (void) nToken;

    switch (nDefine)
    {
    default:
        switch (nToken)
        {
        }
        break;
    }
    return 0;
}

void OOXMLFactory_a14::attributeAction(OOXMLFastContextHandler*, Token_t, const OOXMLValue::Pointer_t&)
{
}

/// @endcond
}}
