
#include "ooxml/resourceids.hxx"
#include "OOXMLFactory_dml-documentProperties.hxx"
#include "ooxml/OOXMLFastHelper.hxx"
#include "oox/token/tokens.hxx"

#ifdef _MSC_VER
#pragma warning(disable:4060) // switch statement contains no 'case' or 'default' labels
#pragma warning(disable:4065) // switch statement contains 'default' but no 'case' labels
#pragma warning(disable:4702) // unreachable code
#endif

namespace writerfilter {
namespace ooxml {

using namespace com::sun::star;

/// @cond GENERATED

OOXMLFactory_dml_documentProperties::OOXMLFactory_dml_documentProperties()
{
}

OOXMLFactory_dml_documentProperties::~OOXMLFactory_dml_documentProperties()
{
}

OOXMLFactory_ns::Pointer_t OOXMLFactory_dml_documentProperties::m_pInstance;

OOXMLFactory_ns::Pointer_t OOXMLFactory_dml_documentProperties::getInstance()
{
    if (!m_pInstance)
        m_pInstance = new OOXMLFactory_dml_documentProperties();

    return m_pInstance;
}

const AttributeInfo* OOXMLFactory_dml_documentProperties::getAttributeInfoArray(Id nId)
{
    switch (nId)
    {
    case NN_dml_documentProperties|DEFINE_AG_Locking:
        {
            const static AttributeInfo info[] = {
                { oox::XML_noGrp, ResourceType::Boolean, 0 },
                { oox::XML_noSelect, ResourceType::Boolean, 0 },
                { oox::XML_noRot, ResourceType::Boolean, 0 },
                { oox::XML_noChangeAspect, ResourceType::Boolean, 0 },
                { oox::XML_noMove, ResourceType::Boolean, 0 },
                { oox::XML_noResize, ResourceType::Boolean, 0 },
                { oox::XML_noEditPoints, ResourceType::Boolean, 0 },
                { oox::XML_noAdjustHandles, ResourceType::Boolean, 0 },
                { oox::XML_noChangeArrowheads, ResourceType::Boolean, 0 },
                { oox::XML_noChangeShapeType, ResourceType::Boolean, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_dml_documentProperties|DEFINE_CT_ConnectorLocking:
        {
            const static AttributeInfo info[] = {
                { oox::XML_noGrp, ResourceType::Boolean, 0 },
                { oox::XML_noSelect, ResourceType::Boolean, 0 },
                { oox::XML_noRot, ResourceType::Boolean, 0 },
                { oox::XML_noChangeAspect, ResourceType::Boolean, 0 },
                { oox::XML_noMove, ResourceType::Boolean, 0 },
                { oox::XML_noResize, ResourceType::Boolean, 0 },
                { oox::XML_noEditPoints, ResourceType::Boolean, 0 },
                { oox::XML_noAdjustHandles, ResourceType::Boolean, 0 },
                { oox::XML_noChangeArrowheads, ResourceType::Boolean, 0 },
                { oox::XML_noChangeShapeType, ResourceType::Boolean, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_dml_documentProperties|DEFINE_CT_ShapeLocking:
        {
            const static AttributeInfo info[] = {
                { oox::XML_noGrp, ResourceType::Boolean, 0 },
                { oox::XML_noSelect, ResourceType::Boolean, 0 },
                { oox::XML_noRot, ResourceType::Boolean, 0 },
                { oox::XML_noChangeAspect, ResourceType::Boolean, 0 },
                { oox::XML_noMove, ResourceType::Boolean, 0 },
                { oox::XML_noResize, ResourceType::Boolean, 0 },
                { oox::XML_noEditPoints, ResourceType::Boolean, 0 },
                { oox::XML_noAdjustHandles, ResourceType::Boolean, 0 },
                { oox::XML_noChangeArrowheads, ResourceType::Boolean, 0 },
                { oox::XML_noChangeShapeType, ResourceType::Boolean, 0 },
                { oox::XML_noTextEdit, ResourceType::Boolean, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_dml_documentProperties|DEFINE_CT_PictureLocking:
        {
            const static AttributeInfo info[] = {
                { oox::XML_noGrp, ResourceType::Boolean, 0 },
                { oox::XML_noSelect, ResourceType::Boolean, 0 },
                { oox::XML_noRot, ResourceType::Boolean, 0 },
                { oox::XML_noChangeAspect, ResourceType::Boolean, 0 },
                { oox::XML_noMove, ResourceType::Boolean, 0 },
                { oox::XML_noResize, ResourceType::Boolean, 0 },
                { oox::XML_noEditPoints, ResourceType::Boolean, 0 },
                { oox::XML_noAdjustHandles, ResourceType::Boolean, 0 },
                { oox::XML_noChangeArrowheads, ResourceType::Boolean, 0 },
                { oox::XML_noChangeShapeType, ResourceType::Boolean, 0 },
                { oox::XML_noCrop, ResourceType::Boolean, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_dml_documentProperties|DEFINE_CT_GroupLocking:
        {
            const static AttributeInfo info[] = {
                { oox::XML_noGrp, ResourceType::Boolean, 0 },
                { oox::XML_noUngrp, ResourceType::Boolean, 0 },
                { oox::XML_noSelect, ResourceType::Boolean, 0 },
                { oox::XML_noRot, ResourceType::Boolean, 0 },
                { oox::XML_noChangeAspect, ResourceType::Boolean, 0 },
                { oox::XML_noMove, ResourceType::Boolean, 0 },
                { oox::XML_noResize, ResourceType::Boolean, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_dml_documentProperties|DEFINE_CT_GraphicalObjectFrameLocking:
        {
            const static AttributeInfo info[] = {
                { oox::XML_noGrp, ResourceType::Boolean, 0 },
                { oox::XML_noDrilldown, ResourceType::Boolean, 0 },
                { oox::XML_noSelect, ResourceType::Boolean, 0 },
                { oox::XML_noChangeAspect, ResourceType::Boolean, 0 },
                { oox::XML_noMove, ResourceType::Boolean, 0 },
                { oox::XML_noResize, ResourceType::Boolean, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_dml_documentProperties|DEFINE_CT_NonVisualDrawingProps:
        {
            const static AttributeInfo info[] = {
                { oox::XML_name, ResourceType::String, 0 },
                { oox::XML_descr, ResourceType::String, 0 },
                { oox::XML_hidden, ResourceType::Boolean, 0 },
                { oox::XML_title, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_dml_documentProperties|DEFINE_CT_Hyperlink_URL:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_officeRel|oox::XML_id, ResourceType::String, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_dml_documentProperties|DEFINE_CT_NonVisualDrawingShapeProps:
        {
            const static AttributeInfo info[] = {
                { oox::XML_txBox, ResourceType::Boolean, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_dml_documentProperties|DEFINE_CT_NonVisualPictureProperties:
        {
            const static AttributeInfo info[] = {
                { oox::XML_preferRelativeResize, ResourceType::Boolean, 0 },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    default:
        break;
    }

    return NULL;
}

bool OOXMLFactory_dml_documentProperties::getListValue(Id nId, std::string_view aValue, sal_uInt32& rOutValue)
{
    (void) aValue;
    (void) rOutValue;

    switch (nId)
    {
    default:
        break;
    }

    return false;
}

bool OOXMLFactory_dml_documentProperties::getElementId(Id nDefine, Id nId, ResourceType& rOutResource, Id& rOutElement)
{
    (void) rOutResource;
    (void) rOutElement;

    switch (nDefine)
    {
    case NN_dml_documentProperties|DEFINE_CT_ConnectorLocking:
        switch (nId)
        {
        case oox::NMSP_dml|oox::XML_extLst: rOutResource = ResourceType::Properties; rOutElement = NN_dml_baseTypes|DEFINE_CT_OfficeArtExtensionList; break;
        default: return false;
        }
        return true;
    case NN_dml_documentProperties|DEFINE_CT_ShapeLocking:
        switch (nId)
        {
        case oox::NMSP_dml|oox::XML_extLst: rOutResource = ResourceType::Properties; rOutElement = NN_dml_baseTypes|DEFINE_CT_OfficeArtExtensionList; break;
        default: return false;
        }
        return true;
    case NN_dml_documentProperties|DEFINE_CT_PictureLocking:
        switch (nId)
        {
        case oox::NMSP_dml|oox::XML_extLst: rOutResource = ResourceType::Properties; rOutElement = NN_dml_baseTypes|DEFINE_CT_OfficeArtExtensionList; break;
        default: return false;
        }
        return true;
    case NN_dml_documentProperties|DEFINE_CT_GroupLocking:
        switch (nId)
        {
        case oox::NMSP_dml|oox::XML_extLst: rOutResource = ResourceType::Properties; rOutElement = NN_dml_baseTypes|DEFINE_CT_OfficeArtExtensionList; break;
        default: return false;
        }
        return true;
    case NN_dml_documentProperties|DEFINE_CT_GraphicalObjectFrameLocking:
        switch (nId)
        {
        case oox::NMSP_dml|oox::XML_extLst: rOutResource = ResourceType::Properties; rOutElement = NN_dml_baseTypes|DEFINE_CT_OfficeArtExtensionList; break;
        default: return false;
        }
        return true;
    case NN_dml_documentProperties|DEFINE_CT_NonVisualDrawingProps:
        switch (nId)
        {
        case oox::NMSP_dml|oox::XML_extLst: rOutResource = ResourceType::Properties; rOutElement = NN_dml_baseTypes|DEFINE_CT_OfficeArtExtensionList; break;
        case oox::NMSP_dml|oox::XML_hlinkClick: rOutResource = ResourceType::Properties; rOutElement = NN_dml_documentProperties|DEFINE_CT_Hyperlink_URL; break;
        case oox::NMSP_dml|oox::XML_hlinkHover: rOutResource = ResourceType::Properties; rOutElement = NN_dml_stylesheet|DEFINE_CT_Hyperlink; break;
        default: return false;
        }
        return true;
    case NN_dml_documentProperties|DEFINE_CT_NonVisualDrawingShapeProps:
        switch (nId)
        {
        case oox::NMSP_dml|oox::XML_extLst: rOutResource = ResourceType::Properties; rOutElement = NN_dml_baseTypes|DEFINE_CT_OfficeArtExtensionList; break;
        default: return false;
        }
        return true;
    case NN_dml_documentProperties|DEFINE_CT_NonVisualConnectorProperties:
        switch (nId)
        {
        case oox::NMSP_dml|oox::XML_extLst: rOutResource = ResourceType::Properties; rOutElement = NN_dml_baseTypes|DEFINE_CT_OfficeArtExtensionList; break;
        default: return false;
        }
        return true;
    case NN_dml_documentProperties|DEFINE_CT_NonVisualPictureProperties:
        switch (nId)
        {
        case oox::NMSP_dml|oox::XML_extLst: rOutResource = ResourceType::Properties; rOutElement = NN_dml_baseTypes|DEFINE_CT_OfficeArtExtensionList; break;
        default: return false;
        }
        return true;
    case NN_dml_documentProperties|DEFINE_CT_NonVisualGroupDrawingShapeProps:
        switch (nId)
        {
        case oox::NMSP_dml|oox::XML_extLst: rOutResource = ResourceType::Properties; rOutElement = NN_dml_baseTypes|DEFINE_CT_OfficeArtExtensionList; break;
        default: return false;
        }
        return true;
    case NN_dml_documentProperties|DEFINE_CT_NonVisualGraphicFrameProperties:
        switch (nId)
        {
        case oox::NMSP_dml|oox::XML_extLst: rOutResource = ResourceType::Properties; rOutElement = NN_dml_baseTypes|DEFINE_CT_OfficeArtExtensionList; break;
        case oox::NMSP_dml|oox::XML_graphicFrameLocks: rOutResource = ResourceType::Properties; rOutElement = NN_dml_documentProperties|DEFINE_CT_GraphicalObjectFrameLocking; break;
        default: return false;
        }
        return true;
    default:
        switch (nId)
        {
        default: return false;
        }
        return true;
    }
}

void OOXMLFactory_dml_documentProperties::startAction(OOXMLFastContextHandler* pHandler)
{
    sal_uInt32 nDefine = pHandler->getDefine();
    switch (nDefine)
    {
    case NN_dml_documentProperties|DEFINE_CT_Hyperlink_URL:
        if (OOXMLFastContextHandlerProperties* pProperties = dynamic_cast<OOXMLFastContextHandlerProperties*>(pHandler))
            pProperties->handleHyperlinkURL();
        break;

    default:
        break;
    }
}

void OOXMLFactory_dml_documentProperties::charactersAction(OOXMLFastContextHandler*, const OUString&)
{
}

Id OOXMLFactory_dml_documentProperties::getResourceId(Id nDefine, sal_Int32 nToken)
{
    (void) nDefine;
    (void) nToken;

    switch (nDefine)
    {
    case NN_dml_documentProperties|DEFINE_CT_GraphicalObjectFrameLocking:
        switch (nToken)
        {
        case oox::NMSP_dml|oox::XML_extLst: return NS_ooxml::LN_CT_GraphicalObjectFrameLocking_extLst;
        case oox::XML_noChangeAspect: return NS_ooxml::LN_CT_GraphicalObjectFrameLocking_noChangeAspect;
        case oox::XML_noDrilldown: return NS_ooxml::LN_CT_GraphicalObjectFrameLocking_noDrilldown;
        case oox::XML_noGrp: return NS_ooxml::LN_CT_GraphicalObjectFrameLocking_noGrp;
        case oox::XML_noMove: return NS_ooxml::LN_CT_GraphicalObjectFrameLocking_noMove;
        case oox::XML_noResize: return NS_ooxml::LN_CT_GraphicalObjectFrameLocking_noResize;
        case oox::XML_noSelect: return NS_ooxml::LN_CT_GraphicalObjectFrameLocking_noSelect;
        }
        break;
    case NN_dml_documentProperties|DEFINE_CT_NonVisualDrawingProps:
        switch (nToken)
        {
        case oox::NMSP_dml|oox::XML_extLst: return NS_ooxml::LN_CT_NonVisualDrawingProps_extLst;
        case oox::NMSP_dml|oox::XML_hlinkClick: return NS_ooxml::LN_CT_NonVisualDrawingProps_a_hlinkClick;
        case oox::NMSP_dml|oox::XML_hlinkHover: return NS_ooxml::LN_CT_NonVisualDrawingProps_hlinkHover;
        case oox::XML_descr: return NS_ooxml::LN_CT_NonVisualDrawingProps_descr;
        case oox::XML_hidden: return NS_ooxml::LN_CT_NonVisualDrawingProps_hidden;
        case oox::XML_id: return NS_ooxml::LN_CT_NonVisualDrawingProps_id;
        case oox::XML_name: return NS_ooxml::LN_CT_NonVisualDrawingProps_name;
        case oox::XML_title: return NS_ooxml::LN_CT_NonVisualDrawingProps_title;
        }
        break;
    case NN_dml_documentProperties|DEFINE_CT_Hyperlink_URL:
        switch (nToken)
        {
        case oox::NMSP_officeRel|oox::XML_id: return NS_ooxml::LN_CT_Hyperlink_URL;
        }
        break;
    case NN_dml_documentProperties|DEFINE_CT_NonVisualPictureProperties:
        switch (nToken)
        {
        case oox::NMSP_dml|oox::XML_extLst: return NS_ooxml::LN_CT_NonVisualPictureProperties_extLst;
        case oox::NMSP_dml|oox::XML_picLocks: return NS_ooxml::LN_CT_NonVisualPictureProperties_picLocks;
        case oox::XML_preferRelativeResize: return NS_ooxml::LN_CT_NonVisualPictureProperties_preferRelativeResize;
        }
        break;
    case NN_dml_documentProperties|DEFINE_CT_NonVisualGraphicFrameProperties:
        switch (nToken)
        {
        case oox::NMSP_dml|oox::XML_extLst: return NS_ooxml::LN_CT_NonVisualGraphicFrameProperties_extLst;
        case oox::NMSP_dml|oox::XML_graphicFrameLocks: return NS_ooxml::LN_CT_NonVisualGraphicFrameProperties_graphicFrameLocks;
        }
        break;
    default:
        switch (nToken)
        {
        }
        break;
    }
    return 0;
}

void OOXMLFactory_dml_documentProperties::attributeAction(OOXMLFastContextHandler*, Token_t, const OOXMLValue::Pointer_t&)
{
}

/// @endcond
}}
