
#ifndef INCLUDED_OOXML_FACTORY_DML_DOCUMENTPROPERTIES_HXX
#define INCLUDED_OOXML_FACTORY_DML_DOCUMENTPROPERTIES_HXX
#include "ooxml/OOXMLFactory.hxx"
#include "OOXMLFactory_generated.hxx"
#include "oox/token/namespaces.hxx"
#include "ooxml/resourceids.hxx"
#include "tools/ref.hxx"

namespace writerfilter {
namespace ooxml {

/// @cond GENERATED

class OOXMLFactory_dml_documentProperties : public OOXMLFactory_ns
{
public:
    typedef tools::SvRef<OOXMLFactory_ns> Pointer_t;

    static Pointer_t getInstance();

    virtual const AttributeInfo* getAttributeInfoArray(Id nId);
    virtual bool getElementId(Id nDefine, Id nId, ResourceType& rOutResource, Id& rOutElement);
    virtual bool getListValue(Id nId, std::string_view aValue, sal_uInt32& rOutValue);
    virtual Id getResourceId(Id nDefine, sal_Int32 nToken);

    void startAction(OOXMLFastContextHandler* pHandler);
virtual void charactersAction(OOXMLFastContextHandler* pHandler, const OUString & sText);
    virtual void attributeAction(OOXMLFastContextHandler* pHandler, Token_t nToken, const OOXMLValue::Pointer_t& pValue);

    virtual ~OOXMLFactory_dml_documentProperties();

protected:
    static Pointer_t m_pInstance;

    OOXMLFactory_dml_documentProperties();
};

/// @endcond
}}
#endif //INCLUDED_OOXML_FACTORY_DML_DOCUMENTPROPERTIES_HXX
