
#include "ooxml/resourceids.hxx"
#include "OOXMLFactory_dml-shape3DCamera.hxx"
#include "ooxml/OOXMLFastHelper.hxx"
#include "oox/token/tokens.hxx"

#ifdef _MSC_VER
#pragma warning(disable:4060) // switch statement contains no 'case' or 'default' labels
#pragma warning(disable:4065) // switch statement contains 'default' but no 'case' labels
#pragma warning(disable:4702) // unreachable code
#endif

namespace writerfilter {
namespace ooxml {

using namespace com::sun::star;

/// @cond GENERATED

OOXMLFactory_dml_shape3DCamera::OOXMLFactory_dml_shape3DCamera()
{
}

OOXMLFactory_dml_shape3DCamera::~OOXMLFactory_dml_shape3DCamera()
{
}

OOXMLFactory_ns::Pointer_t OOXMLFactory_dml_shape3DCamera::m_pInstance;

OOXMLFactory_ns::Pointer_t OOXMLFactory_dml_shape3DCamera::getInstance()
{
    if (!m_pInstance)
        m_pInstance = new OOXMLFactory_dml_shape3DCamera();

    return m_pInstance;
}

const AttributeInfo* OOXMLFactory_dml_shape3DCamera::getAttributeInfoArray(Id nId)
{
    switch (nId)
    {
    case NN_dml_shape3DCamera|DEFINE_CT_Camera:
        {
            const static AttributeInfo info[] = {
                { oox::XML_prst, ResourceType::List, NN_dml_shape3DCamera|DEFINE_ST_PresetCameraType },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    default:
        break;
    }

    return NULL;
}

bool OOXMLFactory_dml_shape3DCamera::getListValue(Id nId, std::string_view aValue, sal_uInt32& rOutValue)
{
    (void) aValue;
    (void) rOutValue;

    switch (nId)
    {
    case NN_dml_shape3DCamera|DEFINE_ST_PresetCameraType:
        if (aValue.empty())
            return false;
        switch (aValue[0])
        {
        case 'i':
            if (aValue == "isometricTopUp") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricTopUp; }
            else if (aValue == "isometricTopDown") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricTopDown; }
            else if (aValue == "isometricBottomUp") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricBottomUp; }
            else if (aValue == "isometricBottomDown") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricBottomDown; }
            else if (aValue == "isometricLeftUp") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricLeftUp; }
            else if (aValue == "isometricLeftDown") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricLeftDown; }
            else if (aValue == "isometricRightUp") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricRightUp; }
            else if (aValue == "isometricRightDown") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricRightDown; }
            else if (aValue == "isometricOffAxis1Left") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricOffAxis1Left; }
            else if (aValue == "isometricOffAxis1Right") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricOffAxis1Right; }
            else if (aValue == "isometricOffAxis1Top") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricOffAxis1Top; }
            else if (aValue == "isometricOffAxis2Left") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricOffAxis2Left; }
            else if (aValue == "isometricOffAxis2Right") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricOffAxis2Right; }
            else if (aValue == "isometricOffAxis2Top") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricOffAxis2Top; }
            else if (aValue == "isometricOffAxis3Left") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricOffAxis3Left; }
            else if (aValue == "isometricOffAxis3Right") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricOffAxis3Right; }
            else if (aValue == "isometricOffAxis3Bottom") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricOffAxis3Bottom; }
            else if (aValue == "isometricOffAxis4Left") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricOffAxis4Left; }
            else if (aValue == "isometricOffAxis4Right") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricOffAxis4Right; }
            else if (aValue == "isometricOffAxis4Bottom") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_isometricOffAxis4Bottom; }
            else { return false; }
            return true;
        case 'l':
            if (aValue == "legacyObliqueTopLeft") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_legacyObliqueTopLeft; }
            else if (aValue == "legacyObliqueTop") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_legacyObliqueTop; }
            else if (aValue == "legacyObliqueTopRight") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_legacyObliqueTopRight; }
            else if (aValue == "legacyObliqueLeft") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_legacyObliqueLeft; }
            else if (aValue == "legacyObliqueFront") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_legacyObliqueFront; }
            else if (aValue == "legacyObliqueRight") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_legacyObliqueRight; }
            else if (aValue == "legacyObliqueBottomLeft") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_legacyObliqueBottomLeft; }
            else if (aValue == "legacyObliqueBottom") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_legacyObliqueBottom; }
            else if (aValue == "legacyObliqueBottomRight") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_legacyObliqueBottomRight; }
            else if (aValue == "legacyPerspectiveTopLeft") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_legacyPerspectiveTopLeft; }
            else if (aValue == "legacyPerspectiveTop") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_legacyPerspectiveTop; }
            else if (aValue == "legacyPerspectiveTopRight") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_legacyPerspectiveTopRight; }
            else if (aValue == "legacyPerspectiveLeft") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_legacyPerspectiveLeft; }
            else if (aValue == "legacyPerspectiveFront") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_legacyPerspectiveFront; }
            else if (aValue == "legacyPerspectiveRight") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_legacyPerspectiveRight; }
            else if (aValue == "legacyPerspectiveBottomLeft") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_legacyPerspectiveBottomLeft; }
            else if (aValue == "legacyPerspectiveBottom") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_legacyPerspectiveBottom; }
            else if (aValue == "legacyPerspectiveBottomRight") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_legacyPerspectiveBottomRight; }
            else { return false; }
            return true;
        case 'o':
            if (aValue == "orthographicFront") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_orthographicFront; }
            else if (aValue == "obliqueTopLeft") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_obliqueTopLeft; }
            else if (aValue == "obliqueTop") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_obliqueTop; }
            else if (aValue == "obliqueTopRight") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_obliqueTopRight; }
            else if (aValue == "obliqueLeft") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_obliqueLeft; }
            else if (aValue == "obliqueRight") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_obliqueRight; }
            else if (aValue == "obliqueBottomLeft") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_obliqueBottomLeft; }
            else if (aValue == "obliqueBottom") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_obliqueBottom; }
            else if (aValue == "obliqueBottomRight") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_obliqueBottomRight; }
            else { return false; }
            return true;
        case 'p':
            if (aValue == "perspectiveFront") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_perspectiveFront; }
            else if (aValue == "perspectiveLeft") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_perspectiveLeft; }
            else if (aValue == "perspectiveRight") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_perspectiveRight; }
            else if (aValue == "perspectiveAbove") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_perspectiveAbove; }
            else if (aValue == "perspectiveBelow") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_perspectiveBelow; }
            else if (aValue == "perspectiveAboveLeftFacing") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_perspectiveAboveLeftFacing; }
            else if (aValue == "perspectiveAboveRightFacing") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_perspectiveAboveRightFacing; }
            else if (aValue == "perspectiveContrastingLeftFacing") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_perspectiveContrastingLeftFacing; }
            else if (aValue == "perspectiveContrastingRightFacing") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_perspectiveContrastingRightFacing; }
            else if (aValue == "perspectiveHeroicLeftFacing") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_perspectiveHeroicLeftFacing; }
            else if (aValue == "perspectiveHeroicRightFacing") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_perspectiveHeroicRightFacing; }
            else if (aValue == "perspectiveHeroicExtremeLeftFacing") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_perspectiveHeroicExtremeLeftFacing; }
            else if (aValue == "perspectiveHeroicExtremeRightFacing") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_perspectiveHeroicExtremeRightFacing; }
            else if (aValue == "perspectiveRelaxed") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_perspectiveRelaxed; }
            else if (aValue == "perspectiveRelaxedModerately") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetCameraType_perspectiveRelaxedModerately; }
            else { return false; }
            return true;
        }
        return false;
    default:
        break;
    }

    return false;
}

bool OOXMLFactory_dml_shape3DCamera::getElementId(Id nDefine, Id nId, ResourceType& rOutResource, Id& rOutElement)
{
    (void) rOutResource;
    (void) rOutElement;

    switch (nDefine)
    {
    case NN_dml_shape3DCamera|DEFINE_CT_Camera:
        switch (nId)
        {
        case oox::NMSP_dml|oox::XML_rot: rOutResource = ResourceType::Properties; rOutElement = NN_dml_baseTypes|DEFINE_CT_SphereCoords; break;
        default: return false;
        }
        return true;
    default:
        switch (nId)
        {
        default: return false;
        }
        return true;
    }
}

void OOXMLFactory_dml_shape3DCamera::charactersAction(OOXMLFastContextHandler*, const OUString&)
{
}

Id OOXMLFactory_dml_shape3DCamera::getResourceId(Id nDefine, sal_Int32 nToken)
{
    (void) nDefine;
    (void) nToken;

    switch (nDefine)
    {
    default:
        switch (nToken)
        {
        }
        break;
    }
    return 0;
}

void OOXMLFactory_dml_shape3DCamera::attributeAction(OOXMLFastContextHandler*, Token_t, const OOXMLValue::Pointer_t&)
{
}

/// @endcond
}}
