
#include "ooxml/resourceids.hxx"
#include "OOXMLFactory_dml-shape3DStyles.hxx"
#include "ooxml/OOXMLFastHelper.hxx"
#include "oox/token/tokens.hxx"

#ifdef _MSC_VER
#pragma warning(disable:4060) // switch statement contains no 'case' or 'default' labels
#pragma warning(disable:4065) // switch statement contains 'default' but no 'case' labels
#pragma warning(disable:4702) // unreachable code
#endif

namespace writerfilter {
namespace ooxml {

using namespace com::sun::star;

/// @cond GENERATED

OOXMLFactory_dml_shape3DStyles::OOXMLFactory_dml_shape3DStyles()
{
}

OOXMLFactory_dml_shape3DStyles::~OOXMLFactory_dml_shape3DStyles()
{
}

OOXMLFactory_ns::Pointer_t OOXMLFactory_dml_shape3DStyles::m_pInstance;

OOXMLFactory_ns::Pointer_t OOXMLFactory_dml_shape3DStyles::getInstance()
{
    if (!m_pInstance)
        m_pInstance = new OOXMLFactory_dml_shape3DStyles();

    return m_pInstance;
}

const AttributeInfo* OOXMLFactory_dml_shape3DStyles::getAttributeInfoArray(Id nId)
{
    switch (nId)
    {
    case NN_dml_shape3DStyles|DEFINE_CT_Bevel:
        {
            const static AttributeInfo info[] = {
                { oox::XML_prst, ResourceType::List, NN_dml_shape3DStyles|DEFINE_ST_BevelPresetType },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    case NN_dml_shape3DStyles|DEFINE_CT_Shape3D:
        {
            const static AttributeInfo info[] = {
                { oox::XML_prstMaterial, ResourceType::List, NN_dml_shape3DStyles|DEFINE_ST_PresetMaterialType },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    default:
        break;
    }

    return NULL;
}

bool OOXMLFactory_dml_shape3DStyles::getListValue(Id nId, std::string_view aValue, sal_uInt32& rOutValue)
{
    (void) aValue;
    (void) rOutValue;

    switch (nId)
    {
    case NN_dml_shape3DStyles|DEFINE_ST_BevelPresetType:
        if (aValue.empty())
            return false;
        switch (aValue[0])
        {
        case 'a':
            if (aValue == "angle") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_BevelPresetType_angle; }
            else if (aValue == "artDeco") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_BevelPresetType_artDeco; }
            else { return false; }
            return true;
        case 'c':
            if (aValue == "circle") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_BevelPresetType_circle; }
            else if (aValue == "cross") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_BevelPresetType_cross; }
            else if (aValue == "convex") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_BevelPresetType_convex; }
            else if (aValue == "coolSlant") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_BevelPresetType_coolSlant; }
            else { return false; }
            return true;
        case 'd':
            if (aValue == "divot") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_BevelPresetType_divot; }
            else { return false; }
            return true;
        case 'h':
            if (aValue == "hardEdge") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_BevelPresetType_hardEdge; }
            else { return false; }
            return true;
        case 'r':
            if (aValue == "relaxedInset") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_BevelPresetType_relaxedInset; }
            else if (aValue == "riblet") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_BevelPresetType_riblet; }
            else { return false; }
            return true;
        case 's':
            if (aValue == "slope") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_BevelPresetType_slope; }
            else if (aValue == "softRound") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_BevelPresetType_softRound; }
            else { return false; }
            return true;
        }
        return false;
    case NN_dml_shape3DStyles|DEFINE_ST_PresetMaterialType:
        if (aValue.empty())
            return false;
        switch (aValue[0])
        {
        case 'c':
            if (aValue == "clear") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetMaterialType_clear; }
            else { return false; }
            return true;
        case 'd':
            if (aValue == "dkEdge") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetMaterialType_dkEdge; }
            else { return false; }
            return true;
        case 'f':
            if (aValue == "flat") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetMaterialType_flat; }
            else { return false; }
            return true;
        case 'l':
            if (aValue == "legacyMatte") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetMaterialType_legacyMatte; }
            else if (aValue == "legacyPlastic") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetMaterialType_legacyPlastic; }
            else if (aValue == "legacyMetal") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetMaterialType_legacyMetal; }
            else if (aValue == "legacyWireframe") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetMaterialType_legacyWireframe; }
            else { return false; }
            return true;
        case 'm':
            if (aValue == "matte") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetMaterialType_matte; }
            else if (aValue == "metal") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetMaterialType_metal; }
            else { return false; }
            return true;
        case 'p':
            if (aValue == "plastic") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetMaterialType_plastic; }
            else if (aValue == "powder") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetMaterialType_powder; }
            else { return false; }
            return true;
        case 's':
            if (aValue == "softEdge") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetMaterialType_softEdge; }
            else if (aValue == "softmetal") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetMaterialType_softmetal; }
            else { return false; }
            return true;
        case 't':
            if (aValue == "translucentPowder") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetMaterialType_translucentPowder; }
            else { return false; }
            return true;
        case 'w':
            if (aValue == "warmMatte") { rOutValue = NS_ooxml::LN_Value_drawingml_ST_PresetMaterialType_warmMatte; }
            else { return false; }
            return true;
        }
        return false;
    default:
        break;
    }

    return false;
}

bool OOXMLFactory_dml_shape3DStyles::getElementId(Id nDefine, Id nId, ResourceType& rOutResource, Id& rOutElement)
{
    (void) rOutResource;
    (void) rOutElement;

    switch (nDefine)
    {
    case NN_dml_shape3DStyles|DEFINE_CT_Shape3D:
        switch (nId)
        {
        case oox::NMSP_dml|oox::XML_bevelB: rOutResource = ResourceType::Properties; rOutElement = NN_dml_shape3DStyles|DEFINE_CT_Bevel; break;
        case oox::NMSP_dml|oox::XML_bevelT: rOutResource = ResourceType::Properties; rOutElement = NN_dml_shape3DStyles|DEFINE_CT_Bevel; break;
        case oox::NMSP_dml|oox::XML_contourClr: rOutResource = ResourceType::Properties; rOutElement = NN_dml_baseTypes|DEFINE_CT_Color; break;
        case oox::NMSP_dml|oox::XML_extLst: rOutResource = ResourceType::Properties; rOutElement = NN_dml_baseTypes|DEFINE_CT_OfficeArtExtensionList; break;
        case oox::NMSP_dml|oox::XML_extrusionClr: rOutResource = ResourceType::Properties; rOutElement = NN_dml_baseTypes|DEFINE_CT_Color; break;
        default: return false;
        }
        return true;
    default:
        switch (nId)
        {
        default: return false;
        }
        return true;
    }
}

void OOXMLFactory_dml_shape3DStyles::charactersAction(OOXMLFastContextHandler*, const OUString&)
{
}

Id OOXMLFactory_dml_shape3DStyles::getResourceId(Id nDefine, sal_Int32 nToken)
{
    (void) nDefine;
    (void) nToken;

    switch (nDefine)
    {
    default:
        switch (nToken)
        {
        }
        break;
    }
    return 0;
}

void OOXMLFactory_dml_shape3DStyles::attributeAction(OOXMLFastContextHandler*, Token_t, const OOXMLValue::Pointer_t&)
{
}

/// @endcond
}}
