
#include "ooxml/resourceids.hxx"
#include "OOXMLFactory_dml-shapeProperties.hxx"
#include "ooxml/OOXMLFastHelper.hxx"
#include "oox/token/tokens.hxx"

#ifdef _MSC_VER
#pragma warning(disable:4060) // switch statement contains no 'case' or 'default' labels
#pragma warning(disable:4065) // switch statement contains 'default' but no 'case' labels
#pragma warning(disable:4702) // unreachable code
#endif

namespace writerfilter {
namespace ooxml {

using namespace com::sun::star;

/// @cond GENERATED

OOXMLFactory_dml_shapeProperties::OOXMLFactory_dml_shapeProperties()
{
}

OOXMLFactory_dml_shapeProperties::~OOXMLFactory_dml_shapeProperties()
{
}

OOXMLFactory_ns::Pointer_t OOXMLFactory_dml_shapeProperties::m_pInstance;

OOXMLFactory_ns::Pointer_t OOXMLFactory_dml_shapeProperties::getInstance()
{
    if (!m_pInstance)
        m_pInstance = new OOXMLFactory_dml_shapeProperties();

    return m_pInstance;
}

const AttributeInfo* OOXMLFactory_dml_shapeProperties::getAttributeInfoArray(Id nId)
{
    switch (nId)
    {
    default:
        break;
    }

    return NULL;
}

bool OOXMLFactory_dml_shapeProperties::getListValue(Id nId, std::string_view aValue, sal_uInt32& rOutValue)
{
    (void) aValue;
    (void) rOutValue;

    switch (nId)
    {
    default:
        break;
    }

    return false;
}

bool OOXMLFactory_dml_shapeProperties::getElementId(Id nDefine, Id nId, ResourceType& rOutResource, Id& rOutElement)
{
    (void) rOutResource;
    (void) rOutElement;

    switch (nDefine)
    {
    case NN_dml_shapeProperties|DEFINE_CT_ShapeProperties:
        switch (nId)
        {
        case oox::NMSP_dml|oox::XML_blipFill: rOutResource = ResourceType::Properties; rOutElement = NN_dml_shapeEffects|DEFINE_CT_BlipFillProperties; break;
        case oox::NMSP_dml|oox::XML_custGeom: rOutResource = ResourceType::Properties; rOutElement = NN_dml_shapeGeometry|DEFINE_CT_CustomGeometry2D; break;
        case oox::NMSP_dml|oox::XML_effectDag: rOutResource = ResourceType::Properties; rOutElement = NN_dml_shapeEffects|DEFINE_CT_EffectContainer; break;
        case oox::NMSP_dml|oox::XML_extLst: rOutResource = ResourceType::Properties; rOutElement = NN_dml_baseTypes|DEFINE_CT_OfficeArtExtensionList; break;
        case oox::NMSP_dml|oox::XML_gradFill: rOutResource = ResourceType::Properties; rOutElement = NN_dml_shapeEffects|DEFINE_CT_GradientFillProperties; break;
        case oox::NMSP_dml|oox::XML_ln: rOutResource = ResourceType::Properties; rOutElement = NN_dml_shapeLineProperties|DEFINE_CT_LineProperties; break;
        case oox::NMSP_dml|oox::XML_prstGeom: rOutResource = ResourceType::Properties; rOutElement = NN_dml_shapeGeometry|DEFINE_CT_PresetGeometry2D; break;
        case oox::NMSP_dml|oox::XML_scene3d: rOutResource = ResourceType::Properties; rOutElement = NN_dml_shape3DScene|DEFINE_CT_Scene3D; break;
        case oox::NMSP_dml|oox::XML_solidFill: rOutResource = ResourceType::Properties; rOutElement = NN_dml_shapeEffects|DEFINE_CT_SolidColorFillProperties; break;
        case oox::NMSP_dml|oox::XML_xfrm: rOutResource = ResourceType::Properties; rOutElement = NN_dml_baseTypes|DEFINE_CT_Transform2D; break;
        case oox::NMSP_w14|oox::XML_gradFill: rOutResource = ResourceType::Properties; rOutElement = NN_w14|DEFINE_CT_GradientFillProperties; break;
        case oox::NMSP_w14|oox::XML_noFill: rOutResource = ResourceType::Properties; rOutElement = NN_w14|DEFINE_CT_Empty; break;
        case oox::NMSP_w14|oox::XML_solidFill: rOutResource = ResourceType::Properties; rOutElement = NN_w14|DEFINE_CT_SolidColorFillProperties; break;
        default: return false;
        }
        return true;
    case NN_dml_shapeProperties|DEFINE_CT_GroupShapeProperties:
        switch (nId)
        {
        case oox::NMSP_dml|oox::XML_blipFill: rOutResource = ResourceType::Properties; rOutElement = NN_dml_shapeEffects|DEFINE_CT_BlipFillProperties; break;
        case oox::NMSP_dml|oox::XML_effectDag: rOutResource = ResourceType::Properties; rOutElement = NN_dml_shapeEffects|DEFINE_CT_EffectContainer; break;
        case oox::NMSP_dml|oox::XML_extLst: rOutResource = ResourceType::Properties; rOutElement = NN_dml_baseTypes|DEFINE_CT_OfficeArtExtensionList; break;
        case oox::NMSP_dml|oox::XML_gradFill: rOutResource = ResourceType::Properties; rOutElement = NN_dml_shapeEffects|DEFINE_CT_GradientFillProperties; break;
        case oox::NMSP_dml|oox::XML_scene3d: rOutResource = ResourceType::Properties; rOutElement = NN_dml_shape3DScene|DEFINE_CT_Scene3D; break;
        case oox::NMSP_dml|oox::XML_solidFill: rOutResource = ResourceType::Properties; rOutElement = NN_dml_shapeEffects|DEFINE_CT_SolidColorFillProperties; break;
        case oox::NMSP_w14|oox::XML_gradFill: rOutResource = ResourceType::Properties; rOutElement = NN_w14|DEFINE_CT_GradientFillProperties; break;
        case oox::NMSP_w14|oox::XML_noFill: rOutResource = ResourceType::Properties; rOutElement = NN_w14|DEFINE_CT_Empty; break;
        case oox::NMSP_w14|oox::XML_solidFill: rOutResource = ResourceType::Properties; rOutElement = NN_w14|DEFINE_CT_SolidColorFillProperties; break;
        default: return false;
        }
        return true;
    default:
        switch (nId)
        {
        default: return false;
        }
        return true;
    }
}

void OOXMLFactory_dml_shapeProperties::charactersAction(OOXMLFastContextHandler*, const OUString&)
{
}

Id OOXMLFactory_dml_shapeProperties::getResourceId(Id nDefine, sal_Int32 nToken)
{
    (void) nDefine;
    (void) nToken;

    switch (nDefine)
    {
    case NN_dml_shapeProperties|DEFINE_CT_ShapeProperties:
        switch (nToken)
        {
        case oox::NMSP_dml|oox::XML_custGeom: return NS_ooxml::LN_EG_Geometry_custGeom;
        case oox::NMSP_dml|oox::XML_extLst: return NS_ooxml::LN_CT_ShapeProperties_extLst;
        case oox::NMSP_dml|oox::XML_ln: return NS_ooxml::LN_CT_ShapeProperties_ln;
        case oox::NMSP_dml|oox::XML_prstGeom: return NS_ooxml::LN_EG_Geometry_prstGeom;
        case oox::NMSP_dml|oox::XML_scene3d: return NS_ooxml::LN_CT_ShapeProperties_scene3d;
        case oox::NMSP_dml|oox::XML_sp3d: return NS_ooxml::LN_CT_ShapeProperties_sp3d;
        case oox::NMSP_dml|oox::XML_xfrm: return NS_ooxml::LN_CT_ShapeProperties_xfrm;
        case oox::NMSP_w14|oox::XML_gradFill: return NS_ooxml::LN_EG_FillProperties_gradFill;
        case oox::NMSP_w14|oox::XML_noFill: return NS_ooxml::LN_EG_FillProperties_noFill;
        case oox::NMSP_w14|oox::XML_solidFill: return NS_ooxml::LN_EG_FillProperties_solidFill;
        case oox::XML_bwMode: return NS_ooxml::LN_CT_ShapeProperties_bwMode;
        }
        break;
    case NN_dml_shapeProperties|DEFINE_CT_GroupShapeProperties:
        switch (nToken)
        {
        case oox::NMSP_w14|oox::XML_gradFill: return NS_ooxml::LN_EG_FillProperties_gradFill;
        case oox::NMSP_w14|oox::XML_noFill: return NS_ooxml::LN_EG_FillProperties_noFill;
        case oox::NMSP_w14|oox::XML_solidFill: return NS_ooxml::LN_EG_FillProperties_solidFill;
        }
        break;
    default:
        switch (nToken)
        {
        }
        break;
    }
    return 0;
}

void OOXMLFactory_dml_shapeProperties::attributeAction(OOXMLFastContextHandler*, Token_t, const OOXMLValue::Pointer_t&)
{
}

/// @endcond
}}
