
#include "ooxml/resourceids.hxx"
#include "OOXMLFactory_w15.hxx"
#include "ooxml/OOXMLFastHelper.hxx"
#include "oox/token/tokens.hxx"

#ifdef _MSC_VER
#pragma warning(disable:4060) // switch statement contains no 'case' or 'default' labels
#pragma warning(disable:4065) // switch statement contains 'default' but no 'case' labels
#pragma warning(disable:4702) // unreachable code
#endif

namespace writerfilter {
namespace ooxml {

using namespace com::sun::star;

/// @cond GENERATED

OOXMLFactory_w15::OOXMLFactory_w15()
{
}

OOXMLFactory_w15::~OOXMLFactory_w15()
{
}

OOXMLFactory_ns::Pointer_t OOXMLFactory_w15::m_pInstance;

OOXMLFactory_ns::Pointer_t OOXMLFactory_w15::getInstance()
{
    if (!m_pInstance)
        m_pInstance = new OOXMLFactory_w15();

    return m_pInstance;
}

const AttributeInfo* OOXMLFactory_w15::getAttributeInfoArray(Id nId)
{
    switch (nId)
    {
    case NN_w15|DEFINE_CT_CommentEx:
        {
            const static AttributeInfo info[] = {
                { oox::NMSP_w15|oox::XML_paraId, ResourceType::String, NN_w15|DEFINE_ST_LongHexNumber },
                { oox::NMSP_w15|oox::XML_paraIdParent, ResourceType::String, NN_w15|DEFINE_ST_LongHexNumber },
                { oox::NMSP_w15|oox::XML_done, ResourceType::Boolean, NN_w15|DEFINE_ST_OnOff },
                { -1, ResourceType::NoResource, 0 }
            };
            return info;
        }
        break;
    default:
        break;
    }

    return NULL;
}

bool OOXMLFactory_w15::getListValue(Id nId, std::string_view aValue, sal_uInt32& rOutValue)
{
    (void) aValue;
    (void) rOutValue;

    switch (nId)
    {
    default:
        break;
    }

    return false;
}

bool OOXMLFactory_w15::getElementId(Id nDefine, Id nId, ResourceType& rOutResource, Id& rOutElement)
{
    (void) rOutResource;
    (void) rOutElement;

    switch (nDefine)
    {
    case NN_w15|DEFINE_commentsEx:
        switch (nId)
        {
        case oox::NMSP_w15|oox::XML_commentsEx: rOutResource = ResourceType::Stream; rOutElement = NN_w15|DEFINE_CT_CommentsEx; break;
        default: return false;
        }
        return true;
    case NN_w15|DEFINE_CT_CommentsEx:
        switch (nId)
        {
        case oox::NMSP_w15|oox::XML_commentEx: rOutResource = ResourceType::CommentEx; rOutElement = NN_w15|DEFINE_CT_CommentEx; break;
        default: return false;
        }
        return true;
    default:
        switch (nId)
        {
        /* start: commentsEx*/
        case oox::NMSP_w15|oox::XML_commentsEx: rOutResource = ResourceType::Stream; rOutElement = NN_w15|DEFINE_CT_CommentsEx; break;
        default: return false;
        }
        return true;
    }
}

void OOXMLFactory_w15::charactersAction(OOXMLFastContextHandler*, const OUString&)
{
}

Id OOXMLFactory_w15::getResourceId(Id nDefine, sal_Int32 nToken)
{
    (void) nDefine;
    (void) nToken;

    switch (nDefine)
    {
    case NN_w15|DEFINE_CT_CommentsEx:
        switch (nToken)
        {
        case oox::NMSP_w15|oox::XML_commentEx: return NS_ooxml::LN_CT_CommentsEx_commentEx;
        }
        break;
    case NN_w15|DEFINE_CT_CommentEx:
        switch (nToken)
        {
        case oox::NMSP_w15|oox::XML_done: return NS_ooxml::LN_CT_CommentEx_done;
        case oox::NMSP_w15|oox::XML_paraId: return NS_ooxml::LN_CT_CommentEx_paraId;
        case oox::NMSP_w15|oox::XML_paraIdParent: return NS_ooxml::LN_CT_CommentEx_paraIdParent;
        }
        break;
    default:
        switch (nToken)
        {
        }
        break;
    }
    return 0;
}

void OOXMLFactory_w15::attributeAction(OOXMLFastContextHandler* _pHandler, Token_t nToken, const OOXMLValue::Pointer_t& pValue)
{
    switch (_pHandler->getDefine())
    {
    case NN_w15|DEFINE_CT_CommentEx:
        if (OOXMLFastContextHandlerCommentEx* pHandler = dynamic_cast<OOXMLFastContextHandlerCommentEx*>(_pHandler))
        {
            if (nToken == static_cast<Token_t>(oox::NMSP_w15|oox::XML_paraId))
                pHandler->att_paraId(pValue);
            else if (nToken == static_cast<Token_t>(oox::NMSP_w15|oox::XML_paraIdParent))
                pHandler->att_paraIdParent(pValue);
            else if (nToken == static_cast<Token_t>(oox::NMSP_w15|oox::XML_done))
                pHandler->att_done(pValue);
        }
        break;
    default:
        break;
    }
}

/// @endcond
}}
