#ifndef INCLUDED_COM_SUN_STAR_FRAME_ILLEGALARGUMENTIOEXCEPTION_HPP
#define INCLUDED_COM_SUN_STAR_FRAME_ILLEGALARGUMENTIOEXCEPTION_HPP

#include "sal/config.h"

#include "com/sun/star/frame/IllegalArgumentIOException.hdl"

#include "com/sun/star/io/IOException.hpp"
#include "com/sun/star/uno/Type.hxx"
#include "cppu/unotype.hxx"

namespace com { namespace sun { namespace star { namespace frame {

inline IllegalArgumentIOException::IllegalArgumentIOException(
#if defined LIBO_USE_SOURCE_LOCATION
    LIBO_USE_SOURCE_LOCATION::source_location location
#endif
    )
    : ::css::io::IOException(
#if defined LIBO_USE_SOURCE_LOCATION
    location
#endif
)
{ }

inline IllegalArgumentIOException::IllegalArgumentIOException(const ::rtl::OUString& Message_, const ::css::uno::Reference< ::css::uno::XInterface >& Context_
#if defined LIBO_USE_SOURCE_LOCATION
    , LIBO_USE_SOURCE_LOCATION::source_location location
#endif
)
    : ::css::io::IOException(Message_, Context_
#if defined LIBO_USE_SOURCE_LOCATION
    , location
#endif
)
{ }

#if !defined LIBO_INTERNAL_ONLY
IllegalArgumentIOException::IllegalArgumentIOException(IllegalArgumentIOException const & the_other): ::css::io::IOException(the_other) {}

IllegalArgumentIOException::~IllegalArgumentIOException() {}

IllegalArgumentIOException & IllegalArgumentIOException::operator =(IllegalArgumentIOException const & the_other) {
    //TODO: Just like its implicitly-defined counterpart, this function definition is not exception-safe
    ::css::io::IOException::operator =(the_other);
    return *this;
}
#endif

} } } }

namespace com { namespace sun { namespace star { namespace frame {

inline ::css::uno::Type const & cppu_detail_getUnoType(SAL_UNUSED_PARAMETER ::css::frame::IllegalArgumentIOException const *) {
    static typelib_TypeDescriptionReference * the_type = 0;
    if ( !the_type )
    {
        typelib_static_type_init( &the_type, typelib_TypeClass_EXCEPTION, "com.sun.star.frame.IllegalArgumentIOException" );
    }
    return * reinterpret_cast< ::css::uno::Type * >( &the_type );
}

} } } }

SAL_DEPRECATED("use cppu::UnoType") inline ::css::uno::Type const & SAL_CALL getCppuType(SAL_UNUSED_PARAMETER ::css::frame::IllegalArgumentIOException const *) {
    return ::cppu::UnoType< ::css::frame::IllegalArgumentIOException >::get();
}

#endif // INCLUDED_COM_SUN_STAR_FRAME_ILLEGALARGUMENTIOEXCEPTION_HPP
