#ifndef INCLUDED_COM_SUN_STAR_SDB_ROWSETVETOEXCEPTION_HPP
#define INCLUDED_COM_SUN_STAR_SDB_ROWSETVETOEXCEPTION_HPP

#include "sal/config.h"

#include "com/sun/star/sdb/RowSetVetoException.hdl"

#include "com/sun/star/sdbc/SQLException.hpp"
#include "com/sun/star/uno/Type.hxx"
#include "cppu/unotype.hxx"

namespace com { namespace sun { namespace star { namespace sdb {

inline RowSetVetoException::RowSetVetoException(
#if defined LIBO_USE_SOURCE_LOCATION
    LIBO_USE_SOURCE_LOCATION::source_location location
#endif
    )
    : ::css::sdbc::SQLException(
#if defined LIBO_USE_SOURCE_LOCATION
    location
#endif
)
{ }

inline RowSetVetoException::RowSetVetoException(const ::rtl::OUString& Message_, const ::css::uno::Reference< ::css::uno::XInterface >& Context_, const ::rtl::OUString& SQLState_, const ::sal_Int32& ErrorCode_, const ::css::uno::Any& NextException_
#if defined LIBO_USE_SOURCE_LOCATION
    , LIBO_USE_SOURCE_LOCATION::source_location location
#endif
)
    : ::css::sdbc::SQLException(Message_, Context_, SQLState_, ErrorCode_, NextException_
#if defined LIBO_USE_SOURCE_LOCATION
    , location
#endif
)
{ }

#if !defined LIBO_INTERNAL_ONLY
RowSetVetoException::RowSetVetoException(RowSetVetoException const & the_other): ::css::sdbc::SQLException(the_other) {}

RowSetVetoException::~RowSetVetoException() {}

RowSetVetoException & RowSetVetoException::operator =(RowSetVetoException const & the_other) {
    //TODO: Just like its implicitly-defined counterpart, this function definition is not exception-safe
    ::css::sdbc::SQLException::operator =(the_other);
    return *this;
}
#endif

} } } }

namespace com { namespace sun { namespace star { namespace sdb {

inline ::css::uno::Type const & cppu_detail_getUnoType(SAL_UNUSED_PARAMETER ::css::sdb::RowSetVetoException const *) {
    static typelib_TypeDescriptionReference * the_type = 0;
    if ( !the_type )
    {
        typelib_static_type_init( &the_type, typelib_TypeClass_EXCEPTION, "com.sun.star.sdb.RowSetVetoException" );
    }
    return * reinterpret_cast< ::css::uno::Type * >( &the_type );
}

} } } }

SAL_DEPRECATED("use cppu::UnoType") inline ::css::uno::Type const & SAL_CALL getCppuType(SAL_UNUSED_PARAMETER ::css::sdb::RowSetVetoException const *) {
    return ::cppu::UnoType< ::css::sdb::RowSetVetoException >::get();
}

#endif // INCLUDED_COM_SUN_STAR_SDB_ROWSETVETOEXCEPTION_HPP
